###########################################################
 Software Ideas Modeler                                     
 Author:   Dušan Rodina                                     
 E-mail:   softwareideas@softwareideas.net
 WWW:      http://www.softwareideas.net/                    
###########################################################

Version 8.56 (Release date: 2015-08-04)
* Updated Russian translation (thanks to Maxim Ermolaev)
* Fixed evaluation of a template language command - DocumentationLines
* Fixed various rare application crashes at source code generation
* Fixed application crash when setting ERD Chen Attribute to Derived
* Fixed application crash when trying to add a connection using right-drag in Chen ERD Diagram


Version 8.55 (Release date: 2015-07-10)
+ Remembering of last settings for print
+ Improved C++ source code generation - added support for multiple inheritances and for all inheritance types (public, protected, private) []
+ Improved auto snap lines for sequence diagram
* Fixed auto size for lifelines
* Fixed adjusting position according to create message [RQ#444]
* Fixed application crash when try to do a shaping action with not supported elements
* Fixed application crash when try to delete an element from custom diagram without elements
* Fixed layout of some controls in Options form
* Fixed desynchronized requirement table with requirement diagram after loading [RQ#443]
* Removed abstract elements from drop down list in Convert dialog
* Added some missing localization strings


Version 8.51 (Release date: 2015-07-03)
* Fixed problem with reduntant lines in loaded formatted text 
* Fixed program deadlock when resizing formatted textbox to very small width


Version 8.50 (Release date: 2015-06-30)
+ Added search box to toolbox
+ Variable size of tabs in tab bar depending on their names
+ Setting for minimum and miximum size of tab
+ Two styles of tab sizing - Prefer full names and Prefer more tabs on screen
+ New look and feel of tabs in tab bar
+ Added option to show navigation buttons (for showing previous and next tab) on tab bar [RQ#439]
+ Displaying close button only on active or hover tabs
+ Added 'Set Label Position' submenu to context menu for labeled elements
+ Great improvement in work with sequence diagrams [RQ#433]
+ Better position of context bar for labeled elements (e.g. Actor)
+ Improved auto-scrolling in formatted text editor
+ Documentation control is automatically focused when Properties dialog is switched to Documentation tab
+ Added shortcut keys for deleting by words - CTRL-Delete, CTRL-Backspace
+ Formatting buttons in documentation control are checked by the format at cursor position
+ Added setting for spacing before and after paragraph in formatted text
+ Added Paragraph dialog to documentation editor
	+ Alignment, stop, spacing
	+ Tabs
+ Documents can be open in a separate tab without the left sidebar with all documents
* Changed default shortcut keys for Ungroup to CTRL-SHIFT-U to avoid conflict with CTRL-U for Underline format
* Refactored formatted text rendering engine
* Fixed rendering of lines longer than page width
* Fixed rendering of selection and background at end of line for justified alignment
* Fixed rendering of color background (formatted text)
* Fixed navigation using up and down arrows in horizontaly scrolled formatted text
* Fixed graphical artifacts when adjusting selection bounds
* Fixed wrong placing of self and recursive message on lifeline
* Fixed wrong size preview of self and recursive message (UML Sequence Diagram)
* Fixed auto-width and auto-height for big elements
* Fixed non-working clipboard shortcut keys in documentation editor in Properties dialog
* Fixed calculation of relationship bounds after reloading a project [RQ#442]
* Fixed applying setting for autosize options - auto enlarge and shrink [RQ#440]
* Fixed connecting to second and other interfaces when creating a diagram from a source code
* Fixed application crash when clicking on Remove button and no requirement is selected
* Fixed application crash when generating documentation in special case
* Fixed exporting images in tables to PDF
* Fixed exporting bullet and numbered lists to PDF


Version 8.45 (Release date: 2015-06-10)
+ Added option for navigation to item in the project tree (single click/double click)
+ Added a permanent visible search box to the project tree [RQ#431]
+ New print range setting - print only selection [RQ#376]
+ Select Active Diagram/Model button expands the collapsed nodes to show the active node
+ Alphabetical order of tables in Database Sidebar
+ Displaying schemas of tables in Database Sidebar
+ Added Disconnect button to Database Sidebar
+ Updated Russian translation (thanks to Maxim Ermolaev)
* Fixed source code generation of foreign keys in SQL DDL (fixed evaluation of PrimaryKeyEntity, ForeignKeyEntity)
* Fixed not working menu shortcut keys in the indepedent window dragged out from the main window [RQ#438]
* Fixed renaming in the project tree - edit box cannot be displayed during drag&drop
* Fixed rendering multiline names in the project tree
* Fixed special case of incorrect calculation of end point of relationship attached to ellipse-shaped element
* Fixed application crash when adjusting a complex rectangular line without control points
* Fixed auto size for ERD entity with filled but not displayed description
* Fixed auto size for ERD entity without attributes or with hidden attributes
* Fixed refreshing the database sidebar after connecting a database
* Fixed not displaying collapsed nodes when are found using search box
* Fixed updating bounds of ERD entity attribute after switching primary or foreign key
* Fixed application crash when dropping unsupported object to the project tree


Version 8.40 (Release date: 2015-05-25)
+ Last view location and zoom is remembered for each diagram
+ New initial expansion option for project tree: Restore Saved State
+ Diagram can be open on background from Model Overview window using middle click
+ Added option to set background color of diagram in Model Overview to none
+ Added new template commands: 
	+ Coalesce
	+ For ERD Entity: Description
+ Improved MS SQL database import - table description is parsed to ERD entity description
+ Default type of ERD relationship is changed to Identifying also for toolbox tools
+ Improved MS SQL code generation - table description is generated from ERD entity description (if empty, from tagged value description - for backward compatibility)
+ Name of actor is movable label with size independent from element [RQ#418]
+ Improved labeled elements - label is automatically anchored to the nearest side
+ After adding a new qualifier in Qualifiers dialog, the edit box for the qualifier name will be focused
* Fixed opening second empty window after opening a project file on start
* Fixed opening side bar after it is completely hidden and application is restarted
* Fixed showing labels of BPMN events and gateways [RQ#435]
* Fixed applying saved option 'Don't show this again' for Paste dialog when pasting diagrams [RQ#438]
* Fixed adding relationships to existing elements using right button drag&drop


Version 8.35 (Release date: 2015-05-12)
+ Added Qualified Associations [RQ#421]
+ Added text boxes for start and end role to ERD relationship dialog
+ Added support for multiple inheritance to Python source code generation [RQ#428]
+ Added new commands to the template language:
	+ For UML State: StateInvariant, Actions, Do, Entry, Exit
	+ For UML State Action: Behavior, Name, Owner, Uid
	+ For UML Association: Qualifiers
	+ For Qualifier: Name, Type, TypeName
+ Superclasses can be ordered using tagged value SortIndex on generalizations
+ Grips for control points of line are not displayed when auto path is enabled
+ Default type of ERD relationship is changed to Identifying
+ Added .hpp extension to filter for C++ files in Source Code import dialog
+ Added direct suport for description to ERD entities
+ ERD entity description and ERD attribute description can be displayed on diagram
* Added some missing translations/texts for labels
* Fixed application crash when rendering a diagram description after copy&paste [RQ#434]
* Fixed rare exception of application crash when move cursor over an element
* Fixed rare application crash at rendering of diagram
* Fixed application crash when trying to save a grid (UI diagram) after deleting row or column with filled cells
* Fixed rendering of empty rows in grid (UI diagram)
* Fixed application crash when trying to open missing or corrupted file at new start of application
* Fixed rare application crash when editing ERD entity attributes on diagram
* Fixed application crash when trying to import database with tables with same names in different schemas


Version 8.31 (Release date: 2015-03-30)
+ Added support for tagged values in Hierarchical Task Analysis diagram [RQ#422]
+ Template processing - Separate setting for adjustments of file names and names inside files
+ Template processing - new option for name adjustment - names with hyphens
+ Updated Russian translation (thanks to Maxim Ermolaev)
* Fixed closing undocked project windows on closing project [RQ#424]
* Fixed application crash when deleting element in Element Browser [RQ#423]
* Fixed misspelling "streotypes" in interactive documentation [RQ#420]
* Fixed setting incorrect type in Attribute/Operation/Parameter dialog - part in parenthesis was duplicated to a new type [RQ#419]
* Fixed application crash at loading of SysML Block diagram
* Fixed application crash when resize an element to zero [RQ#417]
* Fixed links for diagram thumbnails in Interactive Documentation template [RQ#416]
* Fixed with resetting text cursor in output file combo box in Interactive Documentation dialog [RQ#416]
* Fixed handling of folder names in Interactive Documentation dialog [RQ#416]
* Fixed long name overlapping in Interactive Documentation template [RQ#416]
* Fixed 1px gray lines on left and top border of exported diagram (or copied to bitmap)
* Fixed a rare case of unconnecting diagram element from its model
* Fixed auto navigation to an element in a nested model from project tree


Version 8.30 (Release date: 2015-03-16)
+ Improved comparison
	+ More precise comparison
	+ Results with more details
	+ Support for merging field (attributes, operations, etc.)
	+ Comparison of nested models
+ Added Expand All, Collapse All buttons for comparison results in Comparison window
+ Select active diagram in project tree
+ Select active model in project tree
+ Added enable/disable layer
+ Added lock/unlock layer [RQ#392]
+ Displaying stereotypes in project tree
+ New template language commands: Now, Today
+ Editor dialog for attributes and operations can be shown directly from diagram (using context menu for attributes/operations)
+ Improved grid control rendering
+ Operation parameters can be reordered in dialog using move buttons or using drag&drop
+ Name of attribute/operation is selected when class is navigated using down/up keys
+ Added 'Associate New Diagram' to context menu in project tree
+ Added 'Associate Existing Diagram' to context menu in project tree
+ Improved database reverse engineering 
	 + Resolving column description
	 + Resolving table description
	 + Resolving primary key name
	 + Resolving foreign key name
+ Added autoscroll to project tree
+ Added border to panel with associated diagrams
+ Added generation of descriptions for MS SQL script
+ Added support for automatic creation of points to rectangular relationships
+ Improved naming of foreign keys in generated SQL scripts
+ Improved connecting of required and provided interfaces
+ Added details to exception message box
+ Updated Russian translation (thanks to Maxim Ermolaev)
* Fixed refreshing a project name in the project tree after renaming elsewhere
* Fixed rendering of long types in autocomplete list
* Fixed saving element visibility
* Fixed editing line [RQ#406]
* Fixed application crash when generating an interactive documentation [RQ#407]
* Fixed wrong z-order in duplicated diagram [RQ#408]
* Fixed auto-size of grid columns
* Fixed showing scrollbar in grid control when last rows are collapsed
* Fixed application crash when trying to duplicate a code template and nothing is selected
* Fixed application crash when trying to add a code template and no language is chosen
* Fixed updating window title after saving as new file
* Fixed adding element to container after drag&drop from another diagram
* Fixed application crash when try to add multiple elements with unsupported tools
* Fixed showing Start Page when it is already open in another window
* Fixed application crash when trying to navigate an invalid link
* Fixed application crash when adding fields to SysML Block
* Fixed application crash when remove fields from SysML Block
* Fixed application crash when editing attribute or operation in dialog after removing another attribute or operation
* Fixed refreshing of attribute/operation grid after editing
* Fixed application crash when trying to add a message to a lifeline in UML Communication Diagram [RQ#411]
* Fixed rare application crash when trying to add an element to a diagram and snaplines are turned on
* Fixed application crash when trying to add a filter to a file of a source code template
* Fixed refresh of diagram after removing point of relationship
* Fixed editing of default style set [RQ#379]
* Fixed application crash on opening Properties dialog for shape [RQ#413]


Version 8.20 (Release date: 2015-02-02)
+ Added attribute properties:
	+ New modifiers: id, readOnly, union, sequence
	+ Subsets, Redefines
	+ Uniqueness
+ Added operation properties:
	+ Query, ordered, unique
	+ Constraints
	+ Redefines
+ List of stereotypes for attributes and operations moved to a separated tab
+ Added Add Connection to context menu for diagram elements
+ Added Delete to context menu for tabs with diagrams and models
+ Improved displaying relationships in project tree - displayed names of start and end element
+ Changed default auto layout for database import and XMI import to enhanced smart layout
+ Extension points are hidden by default
+ New icon for list of open tabs in tab bar
+ Improved Model Overview look&feel
+ Improved point locking when moving horizontal or vertical line of rectangular relationship
* Changed displaying of context menu item Remove field to Remove 'Name' instead of Remove 'Full field declaration'
* Fixed binding referenced parts of elements in special cases [RQ#404]
* Fixed tab order of controls in Database Selection dialog
* Fixed application crash when try to import a database table with a reserved keyword as its name
* Fixed showing Properties using context menu from Project Tree sidebar in Element List mode
* Fixed updating layout after moving up/down a field


Version 8.11 (Release date: 2015-01-25)
+ Special profile folder for eight major version
* Fixed moving sequence messages up after loading [RQ#401]
* Fixed nesting elements to Expansion Region [RQ#400]
* Fixed problem with loading file with menu definition and shortcut keys [RQ#402]


Version 8.10 (Release date: 2015-01-20)
+ Completely redone source code parser
	+ Very high reliability
	+ Support for class nesting		
	+ Improved generics and properties
	+ Support for default values of parameters
	+ Support for delegates, events
+ Added C++ source code parsing
+ Added Ruby source code parsing
+ Added support for delete from cursor to word beginning (CTRL+Backspace) and from cursor to word end (CTRL+Delete)
+ First non-empty source code (instead of first one in list) is displayed in Body tab in Operation dialog 
+ Elements parsed using Smart Parser sidebar are auto-sized and better placed
+ Enhanced auto identifying language of source code in Smart Parser
+ Dragging, resizing, moving can be cancelled using ESC key [RQ#398]
+ Right-drag over container offers connection to new elements
* Fixed adding attributes, operations and parameters with multi-dimensional array types [RQ#394]
* Fixed application crash when loading toolbox with a specific configuration 
* Fixed CTRL+arrow navigation in code editor
* Fixed word selection using double click in code editor
* Fixed auto size for big elements
* Fixed application crash when rendering empty diagram with linear gradient background and turned on option Show Borders [RQ#399]
* Small fixes to rectangular lines
* Fixed application crash when try to delete a interface copied to another diagram [RQ#397]
* Fixed application crash when pressing ESC while dragging [RQ#398]
* Fixed layouting fields
* Fixed sending requests and error messages
* Fixed undefined visibility in source code generation
* Fixed application crash when pressing Tab in empty diagram


Version 8.00 (Release date: 2015-01-11)
+ Editor tab can be moved out from main window to its own window
+ Completely redesigned work with rectangular relationships (routing, adjusting, adding/removing points)
+ Added selection history - Edit/Restore Previous Selection
+ Added second click renaming option (default one now)
+ Added Element Navigator
	+ Add auto-generated diagram to project
	+ Export current auto diagram
	+ Print current auto diagram	
+ New model overview window
	+ Improved design
	+ An identifying color can be set to diagram
	+ Diagram thumbnails can be of different sizes (small, normal, large, wide, high)	
	+ Added animation to model overview for element reorder
+ Added diagram generation (Diagram/Generate) (Professional and higher edition)
	+ Hierarchy generation
	+ Project hierarchy generation
	+ UML diagram generation from text
+ Added connectors of relationship labels, separate styling options for connectors
+ Added auto-sizing after editing element (Tools/Options/Diagram Editor/Auto-Size Elements After Editing) [RQ#179]
	+ Resize always
	+ Resize only if content is bigger than current bounds
+ Added support for field (attribute/operation) styling
	+ Text style
	+ Border style
	+ Background style
	+ Padding
	+ Effects - gloss
+ Added new style setting: Margin
+ Added creation of multiple elements at once (Toolbox/Context Menu/Add Multiple) (for Professional, Ultimate edition)
+ Added chain creation (drag a tool button to another tool button on toolbox and choose area for the chain in a diagram) (for Professional, Ultimate edition)
+ Added sketch graphics style [RQ#325]
+ Added radial gradient background style
+ Added diagram splitting (Diagram/Split)
+ Database Selection dialog supports parsing of connection string
+ Added support for auto-complete to ERD Entity
+ Improved auto-complete
+ Style Set Manager and Filter Manager switched from modal dialogs to tabs/windows
+ Disabled delete for last layer (at least one layer is needed in a diagram)
+ Another layer is activated when an active one is deleted
+ Improved auto layout for use case diagrams
+ Cursor changes to IBeam over editable fields
+ Added submenu Edit/Select which groups various options of selection
+ Added Edit/Select/Select Whole Graph
+ Start Page is automatically close after loading a project
+ Improved field adding/editing - view is automatically adjusted to contain the edited field
+ New sketch style set
+ Improved pasting using context menu - elements are placed to clicked position
+ View is adjusted to pasted content
+ Added Copy and Cut commands to context menu of diagram control
+ Finer settings of snap lines (separate setting for snap to borders, snap to centers)
+ Added snapping to preferred (most used) widths and heights
+ Added snapping to preferred distance
+ Showing distances of elements in diagram
+ Added new source code generation option: One file per diagram
+ Default source code template for E-R diagrams supports generation for selected elements
+ Elements in combo boxes of New Relation dialog are alphabetically sorted
+ Improved adding self-relation using drag&drop
+ Showing hand cursor when move cursor over element with link to associated diagram
+ Showing description of ERD entity attribute in tooltip [RQ#384]
+ Type of ERD entity attribute can be changed using context menu (Change Type/...)
+ Horizontal scrolling using mouse wheel + SHIFT
+ Added Alias Manager
	+ Edit alias group
	+ Delete alias group
+ Added menu with alias groups to standard bar
+ Added description to alias groups
+ Added tooltip with full tab name to tab switch
+ Added auto width using double-click on right grip
+ Added auto height using double-click on bottom grip
+ Snaplines are rendered as dashed lines
+ Improved relationship routing inside container
+ New row is focused in grid of responsibilities, collaborators in CRC after adding
+ Added setting for default line style
+ Resolving decimal precision and scale in database reverse engineering
+ Reverse engineering from .NET assembly skips invisible classes
+ Added parsing enumeration and interfaces to .NET assembly reverse engineering
+ Improved attaching of end points to ellipses
+ Improved application theme
+ Label of labeled elements (e.g. decision) can be resized
+ Improved locking relationship end to border for small elements
+ Added support for default values of attributes to SQL DDL source code generation
+ If none or only one element is selected, auto layouts are applied to whole diagram not only this single element
+ Settings can be reset to defaults (Tools/Options - Reset to Defaults)
+ Improved auto snap lines handling in sequence diagrams
+ Bottom/right border of swimlanes can be turned on/off
+ Added BPMN Lane element
+ Added context bar buttons for BPMN Pool
+ Improved BPMN Pool - better text rendering, name editing in diagram
+ Improved locking to fields - relationship is locked to a field even when only one end is over field
+ Improved calculating of self relation with locking to fields
+ Added name for primary key constraint
+ Added new template language commands:
	+ PrimaryKeyName, PKName, CustomPrimaryKeyName, CustomPKName (ERDEntity)
	+ HasAttributes, HasOperation (UMLClass)
	+ AutoIndentOn, AutoIndentOff, StartBlock, EndBlock, IsFirstItem
+ Support for multiline component name [RQ#395]
+ Added support for interfaces parsing for Java, PHP, VB.NET
+ Arrange commands are applied to whole diagram when no element is selected
+ Buttons in sidebar was reordered - more frequent buttons are first
+ Improved handling of template command ExplicitWhitespacesOn
+ Added support for generation of nested classes (Java)
+ Better formatting of generated source codes - removed redundant lines and improved indents
+ Built-in source code templates are marked as system
+ Improved selection rendering for active relationship
* Fixed adding relationship between two elements in container using drag&drop
* Fixed generation of SQL data types - char, nchar and nvarchar
* Fixed edit box hiding after scrolling
* Fixed updating layers panel after doing layer related commands
* Fixed clearing layers sidebar after closing project
* Fixed focus of some dialog windows after opening (focus was not on any editable box)
* Fixed attaching relationship ends after auto routing
* Fixed position order of relationship ends with auto routing
* Fixed adding relationships using drag&drop from toolbox
* Fixed occasional wrong auto size
* Fixed relationship locking to center when the center is over fields
* Fixed generation of NHibernate source code
* Fixed auto-size for SysML Blocks, Actors, Enumerations, CRC cards
* Fixed auto-size when fields are hidden
* Fixed association of relationship ends to fields when used reverse inserting
* Fixed aligning to grid for ERD entities and UI elements
* Fixed refreshing submenu with groups of aliases
* Fixed saving aliases
* Fixed enabled menu items which are not usable in current context
* Fixed text alignment in ERD entity attributes
* Fixed double-click on right-bottom grip when it was over editable field
* Fixed application crash on loading project with ERD entity attributes with same id
* Fixed showing glow when border is not visible
* Fixed snapping when resizing from top or left side
* Fixed wrong bounds of relationships after loading which can lead to cropped exported images [RQ#390][RQ#389]
* Fixed calculation of diagram bounds in the SVG export [RQ#391][RQ#389]
* Fixed application crash when adding a new row to grid which need to be scrolled
* Fixed graphic glitches when rendering horizontal swimlane at higher zoom
* Fixed unwanted moving of cursor between lines in text box when navigating in auto-complete list
* Fixed parsing default value for ERD entity attribute in special cases
* Fixed updating bounds of fields after changing type using context menu
* Fixed application crash when try to import source code template without id
* Fixed application crash when no template is selected and clicking on button for opening the selected template in a new window
* Fixed selection clearing in project tree after second click on selection in diagram
* Fixed parsing variable names in PHP - dollar symbol is omitted from name
* Fixed generating default types for nested classes
* Fixed copying/exporting diagrams on higher DPIs [RQ#396]
* Fixed showing grips for bounds of multiple selected elements when relationship is active


Version 7.71 (Release date: 2014-10-19)
* Fixed resizing of ERD entities with larger padding
* Fixed copying of diagrams
* Fixed application crash when loading data from not accessible data source
* Fixed applying padding to comment
* Fixed copying of relationships between nested elements when copying container
* Fixed loading of groups with containers with nested elements
* Fixed application crash when file with tool settings is corrupted
* Fixed creation of multiple projects on double click in search box list item on start page
* Fixed updating text box position when renaming a node and scroll the project tree
* Fixed application crash when creating new project with a diagram and windows is not completely visible
* Fixed missing dialog with asking to save on program exit after editing TO-DOs
* Fixed showing of trailing colon in a diagram frame after reloading a project


Version 7.70 (Release date: 2014-09-29)
+ Elements can be added inside the relationship while the relationship is splitted into two parts
+ Showing documentation as a tooltip when you move cursor over diagram elements
+ Added diagram frame
	+ Show/hide frame
	+ Frame types (for UML diagrams)
	+ Parameters and result type (for UML diagrams)
+ Improved renaming [RQ#244]
	+ Changing guard instead of name for interaction operand
	+ Changing constraint value instead of name for duration constrain
	+ Disabled showing name edit box for elements with hidden name
+ Added support for editing of documentation of attributes and operation directly from diagram editor [RQ#375]
+ Added 'break' interaction operator for fragment
+ Added option to print a range of pages
+ Added information about elements with edited documentation in Documentation sidebar
+ Added required interface tool to class diagram toolbox
+ Added break fragment tool to sequence diagram toolbox
* Fixed rendering of swimlanes after loading a project
* Fixed locking of relationship end to small element
* Fixed refreshing of label position of activity final node when moving
* Fixed wrong position of nested elements in container after copying and pasting to the same diagram [RQ#377]
* Fixed non-implemented processing of number of copies parameter in Print dialog [RQ#378]
* Fixed snapping to snap lines when adding a new element using context menu after right drag&drop
* Fixed active class notation to conform to UML specification
* Fixed not showing context menu when right drag&drop an element without specified connections


Version 7.62 (Release date: 2014-09-01)
+ Added support for generic property types in source code parser
* Added missing commands to command tree in source code template eidtor
* Fixed superclass evaluation in source code generation
* Fixed updating of scroll bar in code editor after setting a new text
* Fixed application crash when try to add a new person from cooperation side bar when no project is loaded
* Fixed application crash when try to delete item from empty list
* Fixed parsing classes
* Fixed application crash during generation of script output in source code template editor
* Fixed displaying full tree after cancelling filter
* Fixed wrong undo in code editor when selected text from end to start and replaced with another text
* Fixed missing text for labels in Template Text input box
* Sidebars are disabled when no project is loaded


Version 7.61 (Release date: 2014-07-30)
* Fixed rendering of state name [RQ#373]
* Fixed showing Icon Definition dialog in the taskbar
* Removed colon from name of Icons tab in Icon Definition dialog
* Renamed Settings tab in Custom Diagram Editor to General


Version 7.60 (Release date: 2014-07-23)
+ Added new documentation template - Use Cases
+ Improved custom diagrams - added element icons
+ Single click editing of element names and fields
+ Added setting for single and double click renaming
+ Improved source code generation - generation of class fields from associations
+ Structured flow events of a use case can be pasted from an external text editor
+ Added new template commands
	+ Class: AllAttributes
	+ Matrix: ColumnHeaders, Cells, GetCell, MatrixTypeName, Roles, RowHeaders
	+ MatrixRole: Code, DefaultColor, DisplayName, Name, TooltipText
	+ MatrixCell: Code, Roles
	+ SysMLRequirement: Text, Description
	+ UseCase: DesignScopeIcon, GoalLevelIcon, StateIcon
+ Added parameters to Diagram.Image(width,height)
+ Editing guard of control flow directly in diagram
+ Easier locking of end points of relationship to exact position for narrow elements
+ Improved layout and rendering of Signal Receipt and Signal Send (UML Activity Diagram)
+ Added support for deleting last word using CTRL+Backspace to text box in diagram editor
+ Changed menu short keys with CTRL+ALT combination
+ Supported generation of joined tables in documentation
+ Add Collaborator and Add Responsibility buttons in context bar for CRC card were swapped [RQ#372]
+ Improved zooming of thumbnails in model overview
+ Increased maximum size of diagram thumbnails to 640x480
+ Optimized size of saved documentation
+ Added support for page breaks to HTML, ODT export
+ Added support for text indentation to ODT, RTF export
+ Added support for line spacing to HTML, ODT, RTF export
+ Added support for cell background color to RTF export
+ Added support for bulleted lists to ODT, RTF export
+ Small adjustments in Default document template
+ Added info message box instead of error box when file is locked by another process and generated documentation cannot be saved
* Fixed deleting parameters (text) of transition from diagram
* Fixed updating layout of transition label after setting new text
* Fixed rendering generated content of PDF tables
* Fixed rendering border of RTF tables
* Fixed application crash when try to add a new graphic
* Fixed rare application crash when zooming model overview
* Fixed application crash when resizing table in document editor
* Fixed focus in multiple input dialogs - input box is focused on start now
* Fixed showing edited cell in grid after removing row this cell
* Fixed remembering of expanding state of event flow grid 
* Fixed size of table columns and rows in RTF, PDF export
* Fixed auto size of elements with displayed custom ID, parent name, stereotypes and/or tagged values
* Fixed auto size of packages, requirements, objects, states
* Fixed applying padding to state
* Fixed export button in Documentation form
* Fixed escaping of special characters in HTML export of documentation


Version 7.50 (Release date: 2014-07-07)
+ Added visual aid which shows final kind of lock of relationship end
+ Added snap lines to middle of element [RQ#364]
+ Added tooltips for buttons in toolbox [RQ#367]
+ Added Collapse All to toolbox context menu [RQ#367]
+ Added new context bar buttons:
	+ Add Attribute for object without assigned class
	+ Add Attributes for object with assigned class
+ If an image is pasted, name editing doesn't start
+ Attribute can be set as static from attribute grid in Properties dialog [RQ#368]
+ Improved settings for toolbox  [RQ#367]
	+ Medium size icons
	+ Name can be shown for all sizes
+ Added support for code generation from IDEF1X diagrams
+ View mode All Entities renamed to Element List
+ Supported filtering and sorting for Element List view mode in project tree
+ Supported sorting for Diagram Types view mode in project tree
+ Allowed to set icon size for all groups in toolbox at once
+ Cursor changes to cross when drawing relationships
+ Object attribute can be removed using context menu
+ Improved grids for CRC card properties in Properties dialog
+ Hiding empty super class and sub classes fields for CRC card
+ Showing description of CRC card in diagram
+ Allowed to show/hide empty compartments using Show Empty Compartments	 parameter [RQ#269]
+ Highlighting multiplicity fields of IDEF1X relationships
* Fixed SVG export - left and top borders was clipped
* Fixed application crash when pasting image or text using diagram context menu
* Fixed application crash when exporting to SVG
* Fixed zooming to cursor position
* Fixed saving static parameter of attribute [RQ#368]
* Fixed parsing attributes in Fast Editor
* Fixed parsing operations in Fast Editor
* Fixed updating color preview in context bar button after choosing a new color
* Fixed stack overflow exception in template evaluation
* Fixed loading setting of displaying of extension point
* Fixed displaying of line in class also when fields are hidden
* Fixed applying Show Fields command for whole diagram (Diagram/Show Parts/Show Fields)
* Fixed editing of attribute multiplicity from attribute grid in Properties dialog
* Fixed occasional non-working ESC for exiting full screen mode
* Fixed application crash when exporting image with small glow
* Fixed showing relationship end in top left point when starting to draw a new relationship
* Fixed updating of actors in combo box in use case detail tab
* Fixed moving self rectangular relationship with moved element
* Fixed adjusting oblique relationship when resizing multiple elements together
* Fixed rendering precision - border and fill were unaligned sometimes
* Fixed forgetting link between object and class attributes after editing values using Properties dialog
* Fixed showing wrong name of object attribute after changing name of attribute of linked class in Properties dialog and Fast editor
* Fixed application crash when dragging a class to an object diagram
* Fixed adjusting items of context menu for field
* Fixed wrong grayed area of context menu for field at first show
* Fixed wrapping of text of responsibilities and collaborators [RQ#365]
* Fixed applying padding to CRC cards
* Fixed closing Properties dialog after pressing ENTER in CRC card description box
* Fixed saving/loading of showing fields for elements
* Fixed layout of elements after showing/hiding some parts
* Fixed trailing colon in attribute/operation name after copying and pasting


Version 7.46 (Release date: 2014-06-19)
* Fixed application crash when adding relationship without specifying both ends
* Fixed application crash on startup when no default printer is set [RQ#366]


Version 7.45 (Release date: 2014-06-17)
+ Added hover and selection highlight for sequence messages
+ Applying cap size parameter of style to circle of found and lost sequence message
+ Improved rendering of arrow in lost sequence message
+ Added allowed transition between state and composite state
+ State actions can be added from context bar
+ Allowed to set precise position of relationship ends on another relationship
+ State actions can be navigated using up and down keys
+ State actions can be moved and copied
+ State actions can be removed using context menu
+ Better grid for state actions
+ Improved auto locking of ends of relationship
* Changed icon for button Add region in context bar
* Fixed application crash when dragging self message over lifeline
* Fixed adjusting of end point of sequence found and lost message
* Fixed snapping to last auto snap lines displayed before pressing SHIFT
* Fixed region overlapping with name in State (UML State Machine diagram)
* Fixed applying of text alignment for states
* Fixed application crash when adjusting rectangular relationship with unassigned end
* Fixed moving of rectangular relationship when moving group of elements
* Fixed focus when try to edit a cell of a table
* Fixed clipping of overflowing content of CRC card 
* Fixed overlapping of table rows and columns after resizing (Documentation editor)
* Fixed attaching of rectangular relationship to another relationship


Version 7.40 (Release date: 2014-06-09)
+ Added floating window with all references of an element accessible using Multiple Usage icon [RQ#316]
+ Added floating window with all associated diagrams for an element accessible using Associated Diagrams icon [RQ#123]
+ Drag & drop using right mouse button and CTRL pressed creates independent copy of dragged element
+ Drag & drop using right mouse button and SHIFT pressed creates copy of dragged element with shared model
+ Added Delete message to toolbox for UML Sequence diagram
+ Added drop down menu to Grid button in standard bar, which allows you to change grid settings
+ Added Duplicate action to context menu in project tree
+ Added Replace Element Model to Element menu
+ Improved selection grips of sequence message
+ Showing stereotypes and tagged values for sequence messages
+ Classifier of object (UML Object diagram) can be edited inline
+ Added auto complete for classifiers of objects (UML Object diagram)
+ Renamed sequence diagram tools
* Fixed renaming of lifeline using double click on its name


Version 7.31 (Release date: 2014-06-02)
+ Added new template language commands: 
	+ For UML classes: TemplateParameters, HasTemplateParameters, HasTemplateParameterWithKind
	+ For template parameters: Uid, Name, Kind, HasKind, DefaultValue, Owner, Definition
+ Improved source code generation
	+ Added support for generic classes (C#)
* Fixed problem with opening encrypted project file [RQ#362]
* Fixed printing [RQ#363] and improved its precision
* Fixed slash displaying for state transition when no behavior expression is set
* Fixed use case editing


Version 7.30 (Release date: 2014-05-26)
+ Improved Use Cases
	+ Added State, Scope, Level, Minimal Guarantees, Success Guarantees, Triggers
	+ Relative prioritizing in use case list
	+ Each use case can be open in separate tab
	+ Added button for adding new use cases from Use Cases window
	+ Added context menu for use case list in Use Cases window (Definition, Delete, Higher Priority, Lower Priority)
	+ Added type of flow event
	+ Reordering of flow of events
+ Added new option 'Add Existing Connection' to drag&drop context menu
+ Added command for adding missing relationships from model to diagram (Diagram/Add All Relationships by Model) [RQ#360]
+ Added 'Add Missing Relationships' to context menu for diagram elements
+ Smoother opening of tab for new diagram
+ If you drag relationships from one diagram to other it will be added also with connected elements
+ Improved delete confirmation dialog
	+ Diagrams (where a deleted element is used) are displayed collapsed below the row with deleting element
	+ Added element icons
+ Showing delete confirmation dialog when deleting multiple elements from project tree
+ New element is centered on the drop point
* Fixed showing transitions from dragged element to hover element in context menu when they are not in the same diagram
* Fixed rendering of texts in diagrams for diferrent DPIs
* Fixed small menu strip jumping when switching between tabs
* Fixed collapsing and expanding of nested rows in grid
* Fixed cancelling selection when using context bar button on group of selected elements


Version 7.21 (Release date: 2014-05-11)
+ Added Properties menu item to context menu in project tree
+ Improved evaluation of Namespace command for diagram elements (now it is DiagramNamespace.ParentPackage (if diagram custom namespace defined) or ModelNamespace.ParentPackage)
* Fixed evaluation of DocumentationLines command in template language
* Fixed context menu for drawing elements (rectangle, ellipse, etc.)
* Fixed icon for UML Shallow history element
* Fixed application crash when adding transition to Shallow history element using context bar or context menu
* Fixed loading project with saved counters [RQ#357]
* Fixed application crash when editing project filter


Version 7.20 (Release date: 2014-05-04)
+ Added context menu for drag&drop using the right button
	+ Copy (Shared model)
	+ Copy (Independent)
	+ Connect with a new element
	+ Copy style
	+ Copy stereotypes
	+ Copy tagged values
	+ Connect with a target element
+ Improved context bar - added new buttons for related element creation
+ Added universal Show Fields parameter (applied to classes, objects, blocks, enumerations, etc.)
+ Added new elements to Concurrency diagram [RQ#158]
	+ Hardware boundary
	+ Multiobject eventflag
	+ Pool
	+ Association
+ Added message connector to BPMN Choreography diagram
+ Added Deliverable element to ArchiMate
+ Improved Objects (Uml Object Diagram)
	+ Tagged values can be displayed
	+ Added support for padding
+ Added support for tagged values to SysML Blocks
+ Added icons for element types in combo box in Stereotypes form
* Fixed application crash when removing point from relationship [RQ#353]
* Fixed auto-complete before right parenthesis
* Fixed position of auto-complete list, when the element is too close to bottom border of diagram editor
* Fixed application crash when dragging a diagram in model overview window to area with negative coordinates
* Fixed icons (Message in BPMN Choreography Diagram, Message in Communication Diagram, Flow in Flowchart)
* Fixed locked mouse button press after clicking button in context bar
* Fixed positioning of context bar near editor borders
* Fixed adjusting view to a selected elements aftef selecting it in the project tree


Version 7.10 (Release date: 2014-04-27)
+ Added diagram duplication (menu Diagram/Duplicate)
	+ Independent copy
	+ Shared model copy
	+ Generate relationship diagram
	+ Prefix and suffix for copied elements
+ Elements can be converted to other element types
+ Improved custom filter - added filtering by tagged values
+ Improved quality of icons in project tree and element browser
+ Much faster loading of Element Browser
+ Added icons to project tree in dialog for assigning existing diagram
+ Added Filter Manager (Diagram/Filter/Filter Manager)
	+ Add and edit new custom filter
	+ Delete filter
	+ Import and export filter
	+ Duplicate filter
+ Better adjusting of rectangular relationships
* Fixed navigation using up and down arrow keys in edit box in diagram editor
* Fixed scrolling drop down list using mouse wheel
* Fixed auto-complete of operation parameter types
* Fixed showing Element Lists menu item in unsupported editions 
* Fixed incorrect change of location of nested elements, when move group of elements
* Fixed showing close button in context bar
* Fixed tab order in New Style dialog
* Fixed 'Column Layout' menu item
* Fixed displaying of tagged values for class with hidden attributes and operations
* Fixed from z-order of nested elements after undoing Delete from Project action
* Fixed copy and paste of diagrams and models with unreferenced elements in local repository
* Fixed documentation rendering when it is displayed in Properties dialog for the first time
* Fixed binding of project filters to menu
* Fixed wrong applying of lock to fields when it should not be used
* Fixed attaching of relationship end to wrong side when lock to fields on and the relationship has more points


Version 7.01 (Release date: 2014-04-21)
+ Saving model, diagram, element, field counters
* Fixed inserting new lines in text in Send Request dialog
* Fixed application crash when try to edit tagged values of model [RQ#352]
* Fixed application crash when you double-click on free space in project tree [RQ#350]
* Fixed rendering selection in grid, when editing text box is focused
* Fixed application crash when adding new task in TO-DO list and no project is loaded [RQ#349]
* Fixed application crash when you right click on sizing grip [RQ#347]
* Fixed special case of application crash in SVG export
* Fixed application crash when no project is loaded and try to add new diagram using CTRL+SHIFT+D [RQ#348]
* Fixed rare application crash when using Interface tool [RQ#351]
* Fixed application crash when confirming diagram properties dialog
* Fixed application crash when generating SQL DDL for entity with comment and foreign key


Version 7.00 (Release date: 2014-04-14)
+ Added support for custom diagrams
+ Custom diagram editor (Ultimate edition)
	+ Custom shapes
	+ Custom relationships
	+ Derived types
	+ Connection and nesting definition
	+ Embedding to project
+ Ported from .NET 3.5 to .NET 4.0 [RQ#345]
+ High DPI Support [RQ#341]
+ Custom DPI setting for application
+ Added ArchiMate diagram [RQ#315] (Ultimate edition)
+ Added IDEF1X Diagram [RQ#340]
+ Added Call Behavior Action
+ Added Database sidebar (Professional, Ultimate edition)
+ Added Stereotypes grid (Professional, Ultimate edition)
+ Added Tagged Values grid  (Professional, Ultimate edition)
+ Added Diagram-Element grid  (Professional, Ultimate edition)
+ Added Element Relationship grid  (Professional, Ultimate edition)
+ Added Use Case list  (Professional, Ultimate edition)
+ Added Requirement list (Professional, Ultimate edition)
+ Added Force Directed layout algorithm
+ Improved Print dialog
	+ Improved print preview
	+ Removed print preview generation dialog
	+ Added icons to project tree in Print dialog
	+ Project tree is expanded by default
	+ Settings for printer, paper format, margins and orientation directly in Print dialog
+ Improved Print Preview dialog and print preview panel in Print dialog 
	+ Better design, faster
	+ Added zoom slider
	+ Panning, zoom using left and right click
	+ Show margins
+ Added shaping commands for drawing items
	+ Union
	+ Combine
	+ Intersection
	+ Difference
+ Added context menu command which allows to add shape to graphics library (Ultimate edition)
+ Ends of UML associations can be connected directly with attributes
+ Added option Lock to Fields for relationships
+ Names of all tagged values are listed in the drop down list of Tagged Value Editor
+ Databases in Database Selection dialog are loaded asynchronously to combo box
+ Added tagged values for attributes and operations
+ Default values and descriptions are imported by database reverse engineering
+ Added shadow rendering for graphic elements
+ Improved calculation of auto snap lines
+ Improved auto snap lines for nested regions
+ Snapping to snap lines can be temporary turned off when pressing SHIFT button
+ List of recent projects is saved to user profile
+ Settings for saving images
+ Improved comments in Cooperation tab in Properties dialog (text formatting, comment rendering, editing)
+ Added Add Text button for shapes (shapes from drawing group are defaultly without text now)
+ Improved searching for ERD entities and SysML blocks
+ Added new commands to template language:
	+ Commands for Use Cases: Description, PrimaryActor, PreCondition, PostCondition, FrequencyOfUse, PriorityName, PriorityValue, FlowEvents
	+ Commands for Use Case Flow Events: CustomID, Description, Name, SubEvents
	+ Commands for Operations: Definition, TaggedValues, CustomID
	+ Commands for Operation Parameters: Direction, Definition, Multiplicity, TaggedValues
	+ Commands for Attribute: Definition, TaggedValues, CustomID
+ Added displaying of stereotypes and tagged values for swimlanes
+ X-coordinate of swimlane location is not restricted to positive values
+ Allowed inline editing of horizontal swimlane
+ Added new menu items for diagram to context menu in diagram editor
	+ Copy Diagram
	+ Paste
+ Improved source code parsing
	+ Generalization resolving
	+ Realization resolving
	+ Aggregation resolving
	+ Composition resolving
	+ Dependency resolving
	+ Supported parsing of multiple declarations on a line (Java, CSharp VB.NET)
	+ Interface parsing
	+ Enumeration parsing
+ Added Insert All button to Parser sidebar
+ Interface can be linked to required interface and provided interface
+ Improved formatted text editor to support IME input
+ Improved wheel scrolling in the whole application (controls do not need focus to be scrolled)
+ Tabs in main window can be scrolled using wheel
+ Added setting for large icons in toolbox
+ New high definition icons in toolbox, added missing icons for some tools
+ Tab Control element (User Interface diagram) changed to container control
+ Names of tabs of Tab Control element (User Interface diagram) can be edited directly in diagram not only in dialog
+ Double click on Track Bar element (User Interface diagram) opens Properties dialog instead of name edit box
+ Remembering size of all dialogs
+ Remembering settings of toolbox (expanded/collapsed groups, button style,  shortcut keys displaying)
+ Improved ID Renumbering tool
	+ Allowed to switch between all and elements selected in diagram
	+ Improved list boxes with search feature
	+ Added Filter button which allows you to filter items in list
	+ Also single item can be removed from list with new order	
	+ Allowed to adjust order of elements in list with new order
+ Program automatically assigns only unique default custom IDs and unique default names also after reopen of a project
+ Tab with the created diagram will be open after Source Code parsing
+ Improved operation parameters
	+ Direction (in, out, in-out, return)
	+ Default value
	+ Multiplicity
	+ Tagged values
	+ Documentation
+ Auto scroll when dragging diagram in Model Overview window
+ Added custom IDs for fields (attributes, operations, constraints)
+ Added formatted documentation for attributes of ERD entity
+ Unified IDs of requirement
+ Cursor is not rendered in inactive documentation box and code editor
+ Selections in inactive controls are rendered with gray color
+ Switching between tools in toolbox using F9 (and reverse switching using SHIFT+F9)
+ Improved zoom slider
+ New application look&feel, new application icon and toolbar icons
* Fixed visibility modifiers parsing for VB.NET source codes
* Fixed default focus to be on the name text box after opening New Type Set dialog
* Fixed settings and applying of menu shortcut keys
* Fixed start position of nested regions in Loop Node and Conditional Node with stereotypes and tagged values
* Fixed auto size for ERD entity
* Fixed importing Oracle tables using OLE DB
* Fixed updating flow of documentation text 
* Fixed adjusting of rectangular lines after moving elements using arrow keys
* Fixed assigning current user to project elements (e.g. comments)
* Fixed refresh of list of persons in Cooperation sidebar after closing project and loading another project
* Fixed rendering Data Store element (DFD Gane&Sarson diagram) with long texts
* Fixed adding new rows in some grids
* Fixed pasting of indented text to code editor


Version 6.86 (Release date: 2014-03-03)
+ Hiding slash symbol for empty transition labels [RQ#344]
* Fixed redundant gray border in bitmap copy of selected elements [RQ#343]
* Fixed application crash when you try to edit deleted graphic in Graphics window
* Fixed application crash when you click on OK in Graphics dialog when you choose image for stereotype
* Fixed application crash when save diagram counter in specific case
* Fixed application crash when rendering item selection in project tree with empty bounds
* Fixed rendering of background for WMF export
* Fixed rendering of custom-resized diagram for EMF export
* Fixed rendering of project tree after its resizing
* Fixed application crash when comment without relations is exported to XMI
* Fixed application crash when adding design patterns in a special case


Version 6.85 (Release date: 2014-02-20)
+ Added content settings for generation of documentation and interactive documentation
	+ Allowed to choose items for generation
	+ Allowed to reorder items
+ Diagrams in Model Overview window can be reordered
+ Added Set as Default to context menu in Styles panel
+ Added alert before replacing the current style set with a new style set
+ Background color of diagram copied to bitmap set to white [RQ#343]
+ Added icons to project tree in source code generation dialog
+ Added element type icons to Element Browser
+ Column Type in Element Browser renamed to System Type and added Type column with type name
+ Template evaluator enumerates diagrams and models by their order in project tree
+ Added auto size of grid column after double click on column separator
* Fixed text color for hover items in layer list in Layer sidebar
* Fixed diagram refresh after setting a new empty style set
* Fixed source code generation (if you didn't select a whole diagram only some elements, nothing was generated)
* Fixed image size in generated documentation
* Fixed resetting of column widths in Element Browser after each refresh
* Fixed ordering by column after each column resize in grid


Version 6.80 (Release date: 2014-02-05)
+ Added Rounded Rectangle tool (Drawing group)
+ Added source code generation for array attributes (C#, Java, VB.NET)
+ Added new template language commands: Attribute.Multiplicity, Attribute.IsArray
+ Added buttons for text color and background color to documentation control
+ Added shorcut keys for simple formatting commands to documentation control
+ Improved Evaluation dialog and edition switching
* Fixed application crash when dragging from Graphics sidebar and nothing is selected
* Fixed application crash when type a colon in operation parameters parentheses
* Fixed appending operations using fast editor
* Fixed clearing all operations using fast editor
* Fixed possible application crash in template evaluation
* Fixed wrong source code generation of comment from documentation
* Fixed formmatted text editing on end (e.g. in documentation)


Version 6.75 (Release date: 2014-01-26)
+ Added order options for:
	+ Attributes (by name/type/visibility)
	+ Operations (by name/type/visibility)
	+ Stereotypes
+ Added Diagram/Show Parts menu
* Fixed application crash when using Parser side bar
* Fixed parsing Java classes which extend generic class or implement generic interface
* Fixed application crash when clicking on File/Send Email when no project is loaded (now Send Email is disabled when no project is loaded)
* Fixed application crash when clicking on empty grid
* Fixed incorect handling of quick search when typing in project tree and a sidebar with list box is displayed


Version 6.70 (Release date: 2014-01-19)
+ Added Star drawing tool - allows to draw any kind of star
+ Remembering of project tree filter settings and sorting
+ Added Show Part menu to context menu [RQ#312]
+ Added separate setting for anti-aliasing [RQ#312]
+ Improved dialog for adding of new styles to style set 
	+ Element types are alphabetically ordered
	+ Element types can be filtered by diagram
	+ ID of element type displayed in parenthesis after its name
+ Added option for showing sequence number (Communication diagram) [RQ#335]
+ Sequence number can be edited from diagram [RQ#335]
+ Added default settings of showed parts for whole diagram
+ Allowed to show/hide attribute/operation visibility
+ Added reset to default showing of element parts
+ Text from Drawing group has its own style class
* Fixed spaces before and after colon for attributes and operations [RQ#338]
* Fixed application crash when rendering UI grid with defined columns and without rows 
* Fixed application crash when editing name of lifine [RQ#336]
* Fixed displaying of long full names with displayed ID a parent name


Version 6.60 (Release date: 2013-12-18)
+ Support for external URLs and files 
	+ Adding to project, editing, deleting
	+ Displaying of images, texts and web-sites
	+ Copying of custom files to project
+ Improved work with provided and required interfaces
	+ Improved drawing
	+ Drag & drop adding
	+ Allowed to connect required and provided interface with relation
+ Custom order of nested models and diagrams (now nested models don't need to be first ones)
+ Added new context bar buttons for components and pins which allow to add provided and required interface on one click [RQ#328]
+ Allowed to move caption of interface [RQ#327]
+ Added option to not hide the toolbox scrollbar [RQ#313]
+ Improved precision of association attaching to package border [RQ#331]
+ Improved rendering of elements with stretched name area (e.g. components)
+ Custom style in Style tab (Properties dialog) starts from current style (when it is default style or class style) [RQ#312]
+ Add Special Paste submenu into Edit menu with items: Paste as independent copy, Paste as instance [RQ#312]
+ Removed restrictions for relations [RQ#312]
+ Improved Fast editor
	+ Support for Undo/Redo
	+ Added button for applying changes, changes are applied also automatically after leaving textbox or selecting other element
	+ Improved updating of attributes and operations
* Fixed application crash when 'Stereotype Icon' visual style choosen and no icon for stereotype is defined
* Fixed type set editing [RQ#333]
* Fixed wrong z-order of elements in generated bitmap/metafile when copying using Edit>Copy actions [RQ#334]
* Fixed occasional wrong behavior of Send to back for elements in container
* Fixed closing Model Overview window when model is deleted during undo or redo action
* Fixed some texts in GUI
* Fixed application crash after double-clicking on Print button on standard bar


Version 6.52 (Release date: 2013-11-04)
+ Allowed to edit custom IDs of elements in Element Browser
+ Added Required Interface element to SysML Block Definition diagram [RQ#317]
+ Added Don't show this again option for Paste dialog [RQ#312]
+ Added clipboard settings for diagram editor
+ Improved graphic notation of constraint property parameter [RQ#293]
+ Added undo/redo for actions in requirement table
+ Added new elements to Profile diagram [RQ#326]
	+ Extension
	+ Reference
+ Name of component can be vertically centered [RQ#323]
+ Adjusted padding of component [RQ#322]
+ Added copying of elements, diagrams and models between two projects using drag&drop [RQ#320]
* Fixed property nesting [RQ#314]
* Fixed port pinning [RQ#314]
* Fixed application crash when rendering grid at small size or minimized
* Fixed drag and drop of elements between projects - no action, when it is not allowed [RQ#320]
* Fixed locking source project after using menu Project/Add Existing Diagram
* Fixed loading of project files from older versions [RQ#319][RQ#321]


Version 6.51 (Release date: 2013-09-15)
+ UI Grid (from UI Diagram) supports texts in cells
+ Elements from Drawing can be connected using relations [RQ#306]
+ Added universal connector to Drawing group
+ Name of Class/ERD entity is stretched to whole class area when attributes and operations are hidden
+ Attributes of ERD entity can be hidden
+ Allowed to add text to shapes from Drawing group
+ Allowed to change container of ports, pins and parameters [RQ#311]
* Fixed copy&paste for elements with custom dash style [RQ#309]
* Fixed auto scrolling of tabs and displaying of Plus button for adding diagrams [RQ#310]
* Fixed adding to container which is nested in another container using options Partially and Full overlapped elements [RQ#311]
* Fixed applying collapse setting of project tree [RQ#307]
* Fixed alternate style loading
* Fixed application crash with lifelines in Timing diagram [RQ#297]


Version 6.50 (Release date: 2013-09-01)
+ Tool customization
	+ Custom default size of shape (by last element/custom by selected/custom from dialog)
	+ Custom direction of relationship
+ Added setting for default way of selection
	+ Partial containment selection (default)
	+ Full containment selection
+ Added Column layout [RQ#304]
+ Added Diagram type filter to Stereotype List editor
+ Custom stereotype can be saved to stereotype list [RQ#282]
+ Remembering width of toolbox in fullscreen mode [RQ#283]
+ Style sidebar is grayed when no element is selected
+ Added support for loops and conditional commands in Custom command dialog in Documentation template editor
+ Elements without documenation are not added to the generated documention [RQ#147]
+ Added documentation text for models and diagrams to the generated documentation [RQ#146]
+ Added attributes and operations to the generated documentation [RQ#191]
+ Improved and optimized documentation file format (the size of file can be reduced by up to 60%)
+ Changed direction of aggregation and composition to be more intuitive [RQ#276]
+ Added support for unique attribute of index (editable using Index dialog, using Index grid, added IsUnique command for Index to SIM template language)
+ Attribute multiplicity of 'many' (arrays) can be set also as [] and will be automatically adjusted to [*] [RQ#281]
+ Added new commands to menu in Documentation Template Editor (Diagram.Documentation, Model.Documentation, Attribute.Documentation, Operation.Documentation)
+ Improved default documentation template
+ Improved export to PDF and ODT
+ If ESC is pressed active tool is switched to Selection [RQ#303]
+ Improved auto size
+ Added options for adding elements to container 
	+ Partially overlapped
	+ Fully overlapped
	+ When cursor over container
+ Added setting for container inflation to Options window
+ Added setting for default role visibility [RQ#280]
+ Easier editing of attribute and operation modifiers [RQ#262]
+ Names in dash style menu changed to visual previews of styles
+ Improved dash styles [RQ#271]
+ Added new dash styles
* Fixed auto size of classes [RQ#287]
* Fixed warning about locked project file when using 'Save As' for saving into the same file [RQ#292]
* Fixed deleting of diagram from nested model [RQ#285]
* Fixed restoring original toolbox width after restoring from fullscreen mode [RQ#283]
* Fixed application crash when click on Apply in Styles sidebar and no style is selected, context menu will not display when free space is clicked [RQ#289]
* Fixed application crash when using value setter in Style sidebar [RQ#288]
* Fixed application crash when try to move rows of grid without rows [RQ#290]
* Fixed XMI export [RQ#291]
* Fixed possible application crash when editing relationship in ERD diagram (converted from Class diagram) using dialog
* Fixed application crash when deleting attribute added using Field pattern feature
* Fixed application crash when draw a very small interface symbol with shading effect style [#295]
* Fixed application crash when try to edit a cell outside allowed area in grid [RQ#296]
* Fixed undo/redo for documentations with auto updated parts
* Fixed generation of table of contents
* Fixed deleting of template parts in documentation editor
* Fixed selection of elements [RQ#279,RQ#302]
* Fixed updating of connectors [RQ#305]


Version 6.30 (Release date: 2013-07-21)
+ Improved connecting of ends of newly created relationships
+ Improved relation path routing
+ Added auto path routing for relations
+ Added diagram choice dialog for XMI export
+ Added support for SysML XMI import/export
+ Added support for ports to XMI
+ Added confirmation dialog before deleting a connection string
+ Appended ... for all menu items which show dialog
+ Auto-complete list of types is ordered by name [RQ#257]
+ Added support for enumeration as a type [RQ#257]
+ Added support for nested ports [RQ#264]
+ Added full and proxy ports [RQ#265]
+ Added "lollipop" interface tool for class diagram
+ Readded style sets: Simple, Simple with Shadow, Simple Bold
+ Enter and Shift+Enter actions at field editing switched - Enter confirms edited field and end editing, Shift+Enter confirm edited field and edit next field or create new one [RQ#263]
+ Menu items for types and markers of BPMN elements are checked when they are used
+ Improved snaplines (now not displayed for nested elements, when moving container)
+ Improved adding to container - element is added to container when they are intersected (mouse cursor need not to be over the container)
+ Added info about bit version of application (32/64-bit) [RQ#268] and whether it runs in Portable mode
+ Removed Apply button from Styles pane [RQ#267]
+ Added context menu for Style pane (allow to Apply, Edit and Delete style)
+ Added Frame tool to SysML diagrams [RQ#248]
+ Adjusted rendering of arrows [RQ#276]
+ Updated Brazilian Portuguese translation (thanks to Franz E. Arnold)
* Applying of grid settings to lines at inserting [RQ#273]
* Fixed deleting of multi-level nested elements [RQ#255]
* Fixed application crash when there is a loop in the Hierarchical Task Analysis diagram [RQ#250]
* Fixed editing of Hierarchical Task Analysis diagram (undo&redo of deleted plans)
* Fixed application crash when try to export diagram to PDF using Batch export [RQ#249]
* Fixed application crash when loading project with unreferenced interaction operand
* Fixed application crash when try to remove a point using double click and it is over another element [RQ#253]
* Fixed icons in diagram menu [RQ#254]
* Fixed application crash at replacing [RQ#252]
* Fixed moving of multiple container elements [RQ#256]
* Fixed style set import/export
* Fixed delete confirmation message box in Style Set Management window
* Fixed application crash when layout of block is not recalculated before rendering [RQ#261]
* Fixed refreshing of elements when some change is applied from context menu
* Fixed cancelling of selection after command execution
* Removed limitation to non-negative position for swimlanes [RQ#270]
* Fixed refreshing of style list after closing project and creating the new one [RQ#275]
* Fixed moving of nested elements in activity loops [RQ#241]
* Some other stability fixes


Version 6.20 (Release date: 2013-06-09)
+ Added new rounded rectangular style for relationships
+ Improved grips for relationship [RQ#247]
	+ Removed bounds  grips
	+ Added point grips
+ Added Mongolian translation (thanks to М. Мөнхнаран and С. Бадрал)
+ Added Block tool for SysML Package diagram [RQ#240]
+ Added Class tool for UML Package diagram
+ Enabled adding of new lines in description field of Diagram Description element [RQ#245]
+ Disabled confirmation of Diagram Properties dialog on Enter when description field focused
+ Improved rendering of selection for thick relationship lines
+ Improved undo behavior
* Fixed default names for Signal Send and Signal Receipt elements [RQ#246]
* Fixed application crash when try to copy empty selection from grid [RQ#234]
* Fixed application crash when try to paste copied elements to model or project instead of to diagram [RQ#235]
* Fixed rare application crash when drawing sequence action [RQ#236]
* Fixed application crash when try to insert wrong file as license key [RQ#239]
* Fixed application crash when setting glow size smaller than 2
* Fixed application crash when you try to insert new line before the first character when editing comment in diagram [RQ#242]
* Fixed incorrect bounds of selection for elements after copy & paste
* Fixed adjusting of positions of relationship ends


Version 6.17 (Release date: 2013-06-03)
+ Improved locking of relation ends
	+ New context submenu Locks (Lock Start Point and End Point moved to this submenu)
	+ Added Lock Both Ends command
	+ Added Unlock Both Ends command
* Fixed export to ODT
* Fixed behavior of rectangular lines [RQ#228]
* Fixed closing of tabs with non-existent diagrams after undo
* Fixed refreshing of canvas when changing the type of line
* Fixed special case of application crash when moving relation [RQ#232]


Version 6.16 (Release date: 2013-05-24)
+ Added new SysML elements:
	+ SysML Viewpoint
	+ SysML View
	+ SysML Model
+ Added editor for interaction operand of fragment to Properties dialog  [RQ#207]
+ Deleted or moved files are not displayed in Recent projects on Start page
+ Updated Portugese translation (thanks to Franz E. Arnold)
* Fixed application crash when loading project with instance specification objects with unbound attributes [RQ#226]
* Fixed application crash after filtering of content in Existing Diagrams dialog [RQ#223]
* Fixed application crash when editing rectangular relation [RQ#221]
* Fixed generalization in SysML diagrams [RQ#229]
* Fixed editing of documentation [RQ#231]
* Fixed UP key behavior in special cases in documentation editor
* Fixed view adjusting in documentation editor
* Fixed refreshing of diagram after applying Remove All Custom Styles
* Fixed deleting of diagrams from project tree [RQ#227]
* Other smaller stability fixes


Version 6.15 (Release date: 2013-05-13)
+ Enhanced C++ source code generation - C++ access specifier sections [RQ#212]
+ Added new source code template for C++: Separate Header - generates separate cpp and header files [RQ#174]
+ Added support for constraints to attributes (UML class)
+ Added support for ownership of association end
+ Added new template language command: FilterByVisibility
+ Added ID and Text property for SysML Requirement
+ Updated Portugese translation (thanks to Franz E. Arnold)
* Removed redundant separators in menu [RQ#219]
* Removed opacity setter from palette tab in color picker (now is only in color mixer tab)
* Fixed problem with setting of opaque background for exported diagrams [#218]
* Fixed not remembering width of sidebar when switching between tabs [#217]
* Fixed generation of NHibernate Fluent code for mapping of not nullable columns
* Fixed editing of attribute ordering parameter
* Fixed renaming project from the project tree
* Fixed end locking of rectangular relation after changing to simple horizontal or vertical line
* Fixed Copy Special/Copy as Metafile [RQ#220]
* Fixed SysML Block copying
* Fixed updating of requirement table in requirement diagram after editing requirements in diagram
* Fixed special case of application crash when try to undo delete of objects in sequence diagram


Version 6.12 (Release date: 2013-04-29) -------------------
+ Added icon for Generate button in Generate sidebar
+ Text box for old password is disabled when any password was not yet set for project
* Fixed application crash when click on item Documentation in context menu when Documentation side bar is not open
* Fixed grouping of groups
* Fixed application crash when draw a relation path in freehand mode and only click
* Fixed application crash when try to delete element from project tree and nothing is selected
* Fixed not working cursor keys in renaming and search text box of project tree
* Fixed application crash when editing matrix and close project
* Window with diagram is closed when creation of diagram is undone
* Fixed application crash when try to insert a non-image file as an image to a document
* Fixed opening empty side bar on the other side after closing it using double click
* Fixed application crash when try to check the check box for active tab of UI Tab Control in new row in Properties dialog
* Fixed application crash when try to ungroup elements from Drawing group


Version 6.11 (Release date: 2013-04-25) -------------------
+ Added remembering of indentation for multiline textbox (comment, constraint editing) [RQ#176]
* Fixed editing of Menu element (User Interface diagram)
* Fixed size calculation of Menu element (User Interface diagram)
* Disabled to move a diagram to the project node [RQ#214]
* Fixed special case of application crash when opening the context menu in the project tree [RQ#213]
* Fixed special case of application crash when working with sidebar [RQ#204]
* Fixed special case of application crash when adding a diagram [RQ#203]
* Fixed saving of E-R diagrams [RQ#215]
* Fixed application crash when try to do SVN update and the project file is not saved (save dialog is cancelled)
* Fixed copy/paste of diagrams


Version 6.10 (Release date: 2013-04-21) -------------------
+ Added Move tool [RQ#211]
+ Added more options how to handle existing file during Batch export [RQ#210]
+ Improved naming of relations in database import
+ Project tree in source code generation dialog is expanded to diagram level
+ Added generation of default name for diagram in New diagram dialog
+ Added start and end role for ERD relations [RQ#208]
+ Added applying of grid settings to dragged element preview
+ Improved applying of grid settings to drag&dropped element (now always the same size of inserted elements)
+ Added auto snap lines also for drag&dropped elements
+ Added new template language commands:
	+ OriginalType, ReplacedType (for attributes and operation parameters)
	+ OriginalReturnType, ReplacedReturnType (for operations)
	+ Name, IsNullable, Id (for types)
+ Types can be marked as nullable 
+ Small enhancements of user interface of Type Editor dialog
+ Enhanced support of nullable types in NHibernate Fluent code generation
+ Improved generation of identity for NHibernate Fluent (now also Assigned() is supported)
+ Enhanced list box with search support in Import Database dialog
+ Added displaying of table schema in list of tables in Import Database dialog
+ Import Database dialog remembers used connection strings and offers them in the list of connection string combo box
+ Added Connection string manager
+ Added search box to the list of graphics
+ Smaller thumbnails in Graphics sidebar
+ Added context menu item Asynchronous for sequence messages [RQ#205]
+ Added context menu item Add Getter and Setter for class attributes [RQ#173]
+ Improved renaming in project tree
+ Added stereotype icon mode
* Fixed end point locking for rectangular relations [RQ#209]
* Added missing tooltip for Snap Lines button and for context menu in Start Page
* Fixed application crash when generating a source code and type is not defined
* Fixed remembering of settings of source code generation dialog
* Fixed resizing of start with list for small height
* Fixed typo errors Week Entity -> Weak Entity, Parellel -> Parallel, Bried description -> Brief description
* Fixed remembering of 'Use System Email Client'
* Fixed application crash when resizing the main window to small height
* Fixed application crash when showing auto-complete list in special case
* Fixed rendering of grip for width of name
* Fixed rendering of hover points and line segments
* Fixed auto-update
* Fixed application crash on auto-export of XMI when the output directory does not exist
* Fixed saving of large diagrams to PDF and vector formats
* Fixed applying of padding from Style sidebar
* Fixed showing of dialog with shapes for stereotype


Version 6.01 (Release date: 2013-04-08) -------------------
+ Updated Dutch translation (thanks to Raymond Meester)
* Fixed application crash which can occur during editing of relationship
* Fixed closing standard edition for non-commercial use after three minutes
* Fixed application crash when switch the project tree to Diagram Types mode in special case
* Fixed application crash when update from SVN and file is not SVN working copy


Version 6.00 (Release date: 2013-04-04) -------------------
+ Completely reworked UI with new auto-sized sidebar system 
+ Added Chen Notation ER-diagram
+ Added Venn Diagram
+ Added Matrices
	+ CRUD
	+ RACI
	+ RASCI
	+ RACIO
	+ RACI-VS
	+ DACI
+ Added SysML Diagrams
	+ Activity Diagram
	+ Block Definition Diagram
	+ Internal Block Diagram
	+ Package Diagram
	+ Parametric Diagram
	+ Requirement Diagram
	+ Sequence Diagram
	+ State Machine Diagram
	+ Use Case Diagram
+ Added Mind Maps
+ Improved Use Cases - added description, primary actor, precondition, postcondition, frequency of use, priority, flow of actions
+ Improved Requirement Diagram (Other Diagrams) - Added Requirement Table
+ Improved User Interface Diagram
	+ Improved model
	+ Added icons for elements in project tree
	+ Added additional settings for progress bar (progress bar type, progress value, show percentage)
	+ Added additional settings for window (show maximize button, show minimize button, show close button, show sizing grip)
	+ Added support for styling
	+ Added new elements: tab control, menu, group box, track bar
	+ Added specific context menu settings for UI elements
+ SVN support
	+ Update
	+ Commit
	+ Conflict resolution
+ Added BPMN Data Association [RQ#180]
+ New easy way of drawing rectangular relations [RQ#96]
+ Design patterns
	+ Creation of custom patterns
	+ Library of standard patterns
	+ Design pattern in side bar
+ Field patterns - patterns as sets of attributes and/or operations
+ Auto SnapLines
+ Searching in project tree 
+ Added Style Set Manager
	+ Add, edit, duplicate and delete style sets
	+ Export and import style sets
+ Improved work with styles
	+ New style editor
	+ Added Style side bar
	+ Added preview of style in Style Set Editor
	+ Added Duplicate button to Style Set Editor
	+ Added multiple options for adding new style from sidebar (New/New by Selected Style/New by Style of Selected Element)
+ Added new styling options
	+ Glow
	+ Shadow size
	+ Padding left, top, right and bottom
	+ Border dash style
	+ Option for size of line caps [RQ#190]
+ E-mail sending (File/Send E-mail) - using system e-mail client or simple built-in e-mail client
+ Added lots of pre-defined shapes in graphics library
+ Added SVG import (Graphics editor)
+ Auto backup
	+ Interval of backup
	+ Number of last preserved backups
	+ Smart backup preserving
	+ Output directory (project directory or any custom folder)
+ Auto export
	+ Output directory (project directory or any custom folder)
	+ Allowed to specify which diagram to export
	+ Images (allow to specify export settings) [RQ#77]
	+ XMI
+ Added template for Fluent NHibernate (C#, VB.NET)
+ Added new menu for diagram adding to tab bar
	+ Favorite diagrams on top
	+ Allow to change the model for diagram
	+ Allow to search in diagrams (just start to type)
	+ Categorized diagrams, search by categories [RQ#145]
+ Added export to CSV
	+ Elements in Element Browser
	+ Tasks and Persons 
	+ TO-DOs
+ Improved work with rectangular relations
+ Improved type handling in generation - language-specific types are used for each code language
+ Added support for relations between multiple attributes (E-R diagram)	 
+ Added support for indexes to entity (E-R diagram)
+ Added generation of indexes (SQL DDL template)
+ Added special tool for E-R diagram - Generate indexes for foreign keys (Tools menu)
+ Attributes and Operations split in separate tabs in Properties dialog
+ Name textbox in Attribute and Operation dialog is focus on start
+ Added 'Start with...' box to Start Page
+ Words in documentation editor can be selected using double-click
+ Added navigation by words (CTRL + Left/Right) to documentation and source code editor [RQ#121]
+ Added default value to ERD entity
+ Copy selection to clipboard in multiple formats
+ Improved performance of shadow rendering 
+ Improved color picker 
	+ Color mixer
	+ Opacity setting
+ Scrollbar in toolbox is displayed only when the mouse cursor is over
+ Added Up and Down buttons into the ERD attributes editor
+ New logo and icon
+ Toolbox does not display when it is not necessary
+ Added visibility settings to Properties dialog
+ Added background title to model overview window
+ Added context menu to recent project list on start page
	+ Moved delete button from list to the context menu
	+ Open containing folder
+ Added export and import of source code templates
+ Added support for unspecified visibility [RQ#107, RQ#189]
+ Buttons for UML buttons in project tree toolstrip replaced with 10 top used diagrams (by statistics for last 30 days)
+ Server and database names (in Database Selection dialog) are alphabetically sorted
+ Improved auto-scroll of diagram canvas (auto-accelerated scrolling, turned off auto-shrink of diagram bounds during auto-scroll, auto-scroll during dragging of fields)
+ Improved placing of context bar for extremely big elements
+ Improved showing of menus from context bar
+ Attributes and operations can be copied between classes using CTRL + drag&drop
+ Added new items to context menu for attribute of ERD entity
	+ Set/unset primary key
	+ Set/unset foreign key
	+ Set/unset auto increment
	+ NULL/NOT NULL
+ Toolbox can be docked to right side
+ Added drop down list with style sets to the open button in Styles side bar
+ Added copy&paste to project tree
	+ Allowed to copy (multiple) whole diagrams	
	+ Allowed to copy (multiple) whole models
+ Improved refreshing of element list in Element Browser
+ Added new template language commands:
	+ Command for foreign key references of ERD entity (References, InverseReferences)
	+ Commands for ERD relationship (PrimaryKeyAttributes, ForeignKeyAttributes, PrimaryKeyEntity, ForeignKeyEntity, FromAttributes, ToAttributes, FromEntity, ToEntity)
	+ Comparing commands: GreaterThan/GT, LessThan/LT
	+ Iteration commands: Count, Reverse
	+ Template processing commands: ExplicitLinesOn, ExplicitLinesOff
+ Added default type set setting for each diagram
+ Improved work with types in E-R diagrams
+ When you rename attribute/operation in diagram only name is selected defaultly
+ Program remembers restore bounds of main window instead of real bounds
+ Added Rotation dialog, which allow to set exact absolute rotation of elements or rotate them by specified angle (menu Arrange/Rotate/Rotate...)
+ Added Reset Rotation (menu Arrange/Rotate/Reset Rotation)
+ Program shows warnings for diagrams, which can cause problems during batch export
+ Confirmation dialog shows only if something changed in Properties dialog [RQ#175]
+ Program displays bounds of dragged element
+ Program remembers the last used printer [RQ#124]
+ Improved Instance specification tab in Properties dialog 
	+ Added move up/down buttons
	+ Values are remembered for attributes with the same names when you change classifier
+ Improved Enumeration elements
+ Order of attributes and operations in Properties dialog can be changed using drag and drop
+ Improved check for custom size of diagram
+ Added ability to export type set [RQ#197]
+ Added ability to delete type set
+ Auto-complete list is automatically scrolled to selected item
+ Added settings for PDF export of diagram (Page size, DPI)
+ Save dialog for PDF export remembers the last used path
+ New default style set and other new style sets - Professional, Sketch, Blue Accent, High Contrast, Typewriter
+ The name of used style set is displayed in Style Set side bar
+ Improved rendering of "many" end of relation in E-R diagram
+ Added displaying of line points for all types of relationships
+ Added reference to class attributes for objects/instance specifications
+ Added size grip which allows to change the width of name of relation and message text of sequence message
+ Added type set for Visual Basic 6
* Fixed selection - CTRL/SHIFT keys allows to modify current selection (add/remove selected elements) in rectangle selection mode
* Fixed tab dragging
* Fixed snapping to grid when you resize an element from left top corner
* Fixed applying padding style to ERD entities
* Fixed adding to container from drag&drop action in UI diagram
* Fixed application crash when you handle tabs in tab switch in specific way [RQ#198]
* Fixed application crash when you create new filter and diagram window/tab is active [RQ#193]
* Fixed application crash when try to assign person to task in Task Management window and no task is selected [RQ#192]
* Fixed saving of ID in custom type sets [RQ#196]
* Fixed not working Remove All Custom Styles
* Fixed loading of file with duplicate element IDs [#202]


Version 5.84 (Release date: 2013-03-14) -------------------
+ Text in preview of style in Styles sidebar is rendered with name style instead of text style
+ Name of default style in style list is rendered using bold font
+ Renamed 'Set Style as Default' to 'Make Style of Selected Element Default' [RQ#184]
* Fixed application crash when exporting big diagrams
* Fixed cursor change bug in diagram editor [RQ#177]
* Fixed problem with copying elements between diagrams [RQ#186]
* Fixed conneting of relation ends when moving relation in group with other elements [RQ#181]
* Fixed saving showing of nullability in ERD entity [RQ#178]
* Fixed application crash when inline-edit parameters of transition without defined trigger [RQ#187]
* Fixed positions of association multiplicities and roles - now they are placed on the same side of line for both ends [RQ#188]
* Fixed adding diagram to project after closing project and creating/opening the new one when no node was selected in project tree
* Fixed showing Styles sidebar after its hiding
* Fixed updating styles in Styles sidebar after loading project [RQ#182]


Version 5.83 (Release date: 2013-02-16) -------------------
+ The last image format in diagram export dialog is remembered [RQ#159]
+ Project file name with full path is displayed in project properties tab [RQ#160]
+ Full paths of project file names are displayed on start page [RQ#160]
+ The full path of project filename is displayed in a tooltip of save button
* Fixed loss of attribute binding to relation after editing ERD entity from Property dialog [RQ#154]
* Fixed loss of attribute and operation bindings after editing UML class from Property dialog
* Fixed application crash when pressing UP key during editing of an ERD entity attribute and there is only one attribute
* Fixed application crash when trying to edit task (in Task Management window) and no task is selected [RQ#156]
* Fixed application crash when trying to delete default style [RQ#157]
* Fixed application crash when using Close All Other Tabs and you open context menu from empty space in tab switch [RQ#166]
* Fixed application crash when using Mimimize or Maximize from Windows menu and no window is open [RQ#167]
* Fixed application crash caused by tab switch in special situation [RQ#166]
* Fixed application crash when trying to replace all [RQ#168]
* Fixed application crash when trying to search [RQ#169]
* Fixed application crash when trying to search text using search text box from standard bar and no project is open [RQ#162]
* Fixed application crash when trying to add negative condition in Filter definition dialog and no item is selected [RQ#161]
* Fixed application crash when trying to paste and there is no open child window [RQ#170]
* Fixed application crash after wrong password [RQ#163]
* Fixed checking access to file before saving [RQ#164]
* Fixed application crash when delete item from project tree and there is not any diagram window active
* Fixed undo/redo for move of labels of some elements (activity parameter, initial state, etc.)


Version 5.82 (Release date: 2013-01-20) -------------------
* Fixed application crash when saving documentation (special case) [RQ#151]
* Fixed application crash when exporting documentation to ODT
* Fixed application crash when converting shape to path in custom graphics editor (special case)
* Fixed deletion of an element from project when it is placed in nested model [RQ#153]
* Fixed applying of text wrapping style


Version 5.81 (Release date: 2013-01-09) -------------------
* Fixed	loading of project with incorrect duplicate IDs and adjusted element handling within project [RQ#135]
* Fixed typo error Successfull to Successful [RQ#134]
* Fixed error after opening special case of Hierarchical Task Analysis diagram [RQ#137]
* Fixed NullReferenceException in Portable version when try to save settings [RQ#138]
* Fixed application crash when paste new instance in the other project
* Fixed not remembered 'Relations always on top' setting after opening new diagram [RQ#140]
* Fixed processing of entity attribute type with spaces in Fast Editor [RQ#141]
* Fixed duplication of imported elements in Hierarchical View after importing XMI [RQ#125]


Version 5.80 (Release date: 2012-12-21) -------------------
+ Improved communication messages in communication diagram 
	+ Added connection to operation from class of lifeline
	+ Result assignment
	+ Return value
	+ Parameters
+ Added combo box with operations for sequence action and communication message (Sequence diagram, Communication diagram)
+ Added auto complete for lifeline clasifier (Sequence diagram, Communication diagram)
+ Added Concurrency diagram to Start with... section
+ Added Mutex element to Concurrency diagram
+ Added new template language commands:
	+ ExplicitWhitespacesOn, ExplicitWhitespacesOff
	+ Space(n), Tab(n), Line(n), Indent(n)
	+ ToUpper(string), ToLower(string), Substring(string, start), Substring(string, start, length), Length(string), Trim(string)
	+ IsAutoIncrement (for ERD Entity Attribute)
+ Added ERD to XSD template (thanks to Raymond Meester)
+ Improved SQL reverse engineering 
	+ Showing progress
	+ Better relations
+ Improved SQL DDL generation
	+ Added auto increment support
	+ References generated at the end of script
+ Added auto increment support for attributes in ER diagram
+ Improved XMI export/import of state machine diagram - supported entry, exit and doActivity
+ Updated Dutch translation (thanks to Raymond Meester)
+ Source Code Generation dialog remembers last used language, templated and output path
+ Files of source code template can be renamed
* Fixed application crash on loading of template filter [RQ#127]
* Fixed SQL DDL generation (multi column primary keys)
* Fixed problem with applying default style set
* Fixed position of edit box when renaming a diagram from tab and tab bar is scrolled
* Fixed incorrect behavior of documentation editor when you insert text at beginning of paragraph, the properties of previous paragraph was copied
* Fixed incorrect home key behavior when cursor is in the last line and there is one format for the entire line
* Fixed incorrect format selected in toolbar when cursor is before first character in paragraph
* Fixed application crash when multiple pages mode is turned on and a displayed diagram is deleted
* Fixed formatting using context bar
* Fixed adding "zero move" commands after clicking on element
* Fixed layout of element stereotypes editor
* Fixed source code parsig (suppported other linebreaks than CRLF, better tab handling)
* Fixed inserting of element documentation in documentation editor
* Fixed application crash when there is an incorrectly defined source code language [RQ#130]
* Fixed typo error Inseraction Use to Interaction Use [RQ#133]


Version 5.70 (Release date: 2012-11-23) -------------------
+ Added Concurrency Diagram [RQ#24]
+ Added Delphi source code generation [RQ#118]
+ Added setting for default project style set
+ Added new template language commands: 
	+ Include - allow to include another template file
	+ CompactOn, CompactOff - removes redundant lines	
	+ HasImports, IsLeaf (Element), IsRoot (Element), IsContained(Element), IsOverride (Operation), IsOverloaded (Operation), SubClasses (Class), NestedClasses(Class)
	+ And, Or, Not - allows build any logical expressions
+ Improved source code templates for C# (sealed class, override method) and VB.NET (NotInheritable, Overridable, Shared, MustOverride, MustInherit)
+ Added support for nested (inner) classes for C#, VB.NET (Source Code Generation)
+ Added support for nested packages in generated namespaces (Source Code Generation)


Version 5.62 (Release date: 2012-10-27) -------------------
+ Item "Activate For Commercial Use" from Help menu changed to "Registered copy" for registered users [RQ#114]
* Fixed deselecting of elements using Ctrl + Click [RQ#112]
* Fixed unexpected change of position of source element after copying using drag&drop to another diagram [RQ#117]
* Fixed loading of custom graphics
* Fixed application crash caused by unclosed tabs after deleting diagrams/models when multiple items are deleted at once from project tree
* Fixed application crash when loading project with specific sequence diagram [RQ#113]
* Fixed removing style from style set using Style Set Editor
* Fixed XMI-Export - InterruptingEdge [RQ#110]


Version 5.61 (Release date: 2012-10-03) -------------------
* Fixed wrong range of ports in Options
* Fixed wrong list of offered operations in sequence diagram (they were from the source lifeline instead of from the target)
* Fixed update of bounds of sequence message after editing
* Fixed unclickable sequence message when it is moved far away from line
* Fixed name of output file for state machine in JavaScript
* Fixed application crash when loading project with a sequence message with parameters


Version 5.60 (Release date: 2012-09-30) -------------------
+ Improved sequence messages in sequence diagram
	+ Mapping to class operations
	+ Return values
	+ Assignment of return value
	+ Parameters
+ Added source code template for State Machine (C#, JavaScript)
+ Added new template commands: 
	+ ModelElements, DiagramElements (Project type)
	+ Uid, DocumentationLines, TaggedValues, GetTaggedValue (Model type)
	+ DocumentationLines, TaggedValues, GetTaggedValue (Diagram type)
	+ Owner, Class (UmlAttribute, UmlOperation type)
	+ Owner, Entity (ErdAttribute)
	+ AssociatedDiagrams, Model, GetTaggedValue (ModelElement type)
	+ Model, Diagram, Container, OutRelations, InRelations (DiagramElement type)
	+ FromElement, From, ToElement, To (Relation type)
	+ BehaviorExpression, Guard, Triggers (Transition type)
	+ Add second optional parameter to Diagram.Elements, Model.Elements, Project.ModelElements and Project.DiagramElements, which allow to filter elements by type
	+ Added new commands for enumerations: FilterByType(typeName1, ..., typeNameN), Skip(count) and Select(expression)
	+ Allowed to define custom name for iteration variable - SIM:ForEach:Element.Attributes(myVar)
	+ IsEmpty(expression)
+ Allowed to connect a sequence message to destroy element (Sequence diagram)
+ Added tagged values to models and diagrams
+ Added support for static modifier to PHP source code generation [RQ#103]
+ Added proxy settings for auto update
+ Changes made using Diagram Properties dialog can be undone
+ Lifeline classifier can be set using inline editing
+ Added support for comments to XMI export
* Updated Dutch translation (thanks to Raymond Meester)
* Fixed z-order for text of Self Message and Recursive Message (Sequence Diagram) [RQ#106]
* Fixed CTRL-W for closing tab, shortcut keys added to the default menu definition [RQ#108]
* Fixed a special case of application crash when exporting a activity diagram to XMI
* Fixed XMI export - wrong pins and doubled references [RQ#105]
* Added expansion nodes to XMI export [RQ#104]
* Fixed missing references to actions contained in expansion regions [RQ#109]
* Fixed Javascript source code generation


Version 5.50 (Release date: 2012-09-16) -------------------
+ Classes defined in project can be used as types of attributes and operations
+ Added auto-complete of types when editing attributes and operations of class
+ Added option for setting password and saving of encrypted project files [RQ#79]
+ Added new menu Arrange/Rotation for precise rotation
+ Added 'Override operations' context command for class
+ Added 'Implement interface' context command for realization
+ Added 'Override operations' context command for generalization
+ Added columns for easy editing of abstract, virtual and static modifiers of operations to grid in Item Properties dialog
+ Name of diagram is rendered in two lines instead of one and half [RQ#89]
+ Fields (names, attributes, etc.) of grouped elements can be edited [RQ#93]
+ Support for inline editing of triggers, guard and behaviour expression of statechart transition instead of its name [RQ#102]
+ Size grips rotates with element [RQ#97]
+ Rotation continues where it ends instead of reseting after each new try
+ Rotation applied also on hover selection of fields
+ Adjusted Decision and Merge nodes to better fit default grid [RQ#98]
+ Added option to remove point using context menu [RQ#82]
+ Added background, border, shadow and gloss settings for Text (from Drawing group) 
+ Added support for interface extending in PHP source code generation [RQ#91]
+ Added auto replace of << and >> in name of UML association to symbol of black solid triangle [RQ#94]
* Fixed rotation saving [RQ#99]
* Fixed crash when sending request/bug report and there is no network connection
* Fixed loading of type list [RQ#101]
* Fixed undo/redo for movement of relation name, associations roles and multiplicities [RQ#100]
* Fixed application crash when downloading auto-update files and there is no network connection [RQ#90]
* Fixed format setting of cell text in document editor
* Fixed alignment of text (drawing group)
* Fixed application crash when click with the middle-button on an empty space on tab bar


Version 5.40 (Release date: 2012-07-22) -------------------
+ Added source code parsing for PHP 
+ Added Italian translation (thanks to Gabriele Campo)
+ Improved SQL DDL generation - added support for Primary keys, Foreign keys  [RQ#69]
+ Added specification of columns for relation in ERD diagram
+ Added drawing modifier key (CTRL)  for symmetrical change of bounds when resizing [RQ#74]
+ Added drawing modifier key (SHIFT) for propotional change of size - width:height ration will be preserved   [RQ#74]
+ Added drawing modifier key (SHIFT) for rotation in exact angle (0°, 45°, 90°, etc.)
+ Improved work with multi-selection in project tree
+ Added new properties for ERD entities in template evaluator: PrimaryKeys, ForeignKeys, NullableAttributes, NotNullableAttributes, HasPrimaryKey, HasForeignKey
+ Significantly improved speed of source code parsing
+ Key, type, type size, nullability and default value of entity attributes (in ERD diagram) can be edited inline (directly in diagram)
+ Improved work with tabs
	+ Added right-click context menu
	+ All other tabs can be closed
	+ All tabs can be closed	
	+ Tabs can be reordered
+ Added modes (iterative, parallel, stream) for expansion regions [RQ#81]
+ Improved XMI export/import [RQ#67, RQ#81]
	+ Added suport for Input and Ouput Pins
	+ Added support for Object Nodes
+ Added support for drop of image files to text box
+ Set as High-DPI aware - removes blur at high DPI
* Fixed application crash when try to edit diagram after moving to another model [RQ#68]
* Fixed copying of image from diagram
* Fixed undo for delete diagram
* Fixed recalculating of attribute/operation bounds after moving attributes/operations when attributes/operations of class have different heights
* Fixed PHP enum generation
* Fixed rare problem with out of range coordinates
* Fixed application crash when CTRL-W is pressed and there is no tab open [RQ#84]
* Fixed wrong z-order after undoing delete action of container with nested element [RQ#83]
* Fixed application crash when parsing source code in project without models [RQ#80]
* Fixed problem with unwanted change of parent of interaction operand [RQ#85]
* Fixed undo action for movement of sequence message text [RQ#86]
* Fixed unapplied padding style for some element types
* Fixed drag&drop of project items to documentation


Version 5.30 (Release date: 2012-06-03) -------------------
+ Added generation of Interactive Documentation (Ultimate edition)
+ Added drawing modifier key (SHIFT) to allow easy drawing of shapes with the same width and height (squares, circles) [RQ#66]
+ Added drawing modifier key (SHIFT) for relations to allow draw lines in exact angle (0°, 45°, 90°, etc.) [RQ#66]
+ Added drawing modifier key (CTRL) which allows to draw a shape from its center 
+ Added drawing modifier key (ALT) for relations to suppress auto position and preserve exactly what is drawn
+ Added support for page break in document editor (CTRL-Enter)
+ Last cursor position is remembered for each document and is restored after switching to document
+ Version number can be selected and copied from About dialog [RQ#63]
+ Added CTRL-A shortcut for select all in What's New text box
+ Updated Czech localization (thanks to Jiří Šafra)
* Changed default settings for displaying of diagram paper
* Fixed deleting of multiple selected items from diagram using Delete key in project tree
* Fixed deleting of documents using Delete key in project tree
* Fixed incorrect redo of ungroup command when group and ungroup commands follow
* Fixed drag&drop in document editor
* Fixed enabled TO-DO tab page when no project is loaded
* Fixed auto-update fail [RQ#62]
* Fixed applying of default visibility for attributes and operations when added from Properties dialog
* Fixed resizing of table
* Fixed copy/paste from document using menu and toolbar
* Fixed displaying of transition text (removed trailing comma, added missing slash when only behavior expression is defined)
* Fixed overflow of table cell content in document editor
* Fixed incorrect export of cell background color to PDF
* Fixed incorrect horizontal position of table in PDF export
* Fixed incorrect export of multiple spaces to HTML
* Fixed displaying of cursor in empty document
* Fixed ActivityPartitions and InterruptibleActivityRegions contain no references [RQ#64]
* Fixed problem with inserting special characters using AltGr-Char into documentation text box 
* Fixed application crash when try to undo creation of drawing element (rectangle, ellipse, etc.)
* Other minor stability fixes


Version 5.25 (Release date: 2012-05-21) -------------------
+ Added source code generation for Action Script [RQ#58]
+ Added panning diagram when spacebar held [RQ#55]
+ Improved rendering of activity Final Node and Final State
+ Added Transitions to Statemachine diagram, original transitons renamed to Protocol Transitions 
+ Added Control Flow and Object Flow to Activity diagram instead of Transition
+ Added Java type set
+ Added auto complete for lifeline classifier in Properties dialog
+ Classifier of lifeline can be set so that you drag a class from the project tree and drop it over lifeline
+ Lifeline can be created so that you drag class from the project tree and drop it to Sequence diagram
+ Object can be created so that you drag class from the project tree and drop it to Object diagram
+ Added option for opening the generated document after generation
+ Program offers default path and file name for generated documentation
+ Program remembers 10 last used paths for documentation generation and offers it in drop down list
+ Added support for pasting images to documentation
+ Added option to connect a flow to another flow in flowchart diagram
* Fixed incorrect location of lifeline after deleting a create action
* Project tree refreshes automatically after renaming element
* Fixed XMI export of activity diagram [RQ#53] and added new supported elements InterruptibleActivityRegion and ActivityPartition [RQ#60]
* Fixed disappearing of scrollbar of Styles panel [RQ#56]
* Fixed application crash when rendering highlighting in text of operation
* Fixed binding of lifeline classifier in Properties dialog
* Fixed undo action for setting lifeline/object classifier when you set it using drag&drop of a class from another diagram
* Fixed saving of images in documentation
* Fixed rendering of labels with shortcut keys in toolbox in Icons mode
* Fixed incorrect checked rendering quality after application start
* Fixed navigation to selected element when it is selected using space bar in project tree
* Fixed omitting of empty lines in exported documentation
* Fixed jumping of cursor to start of document in document editor when you move over space between pages
* Fixed specific case of application crash when applying smart layout [RQ#61]
* Fixed application crash when removing table columns or rows
* Fixed grouping of elements
* Fixed deleting of multiple selected items from diagram using context menu in project tree
* Fixed refreshing of start page
* Other minor stability fixes and some Mono(Linux)-specific bugs


Version 5.20 (Release date: 2012-05-02) -------------------
+ Improved searching
	+ Match case
	+ Match whole word
	+ Wildcard searching
	+ Regular expression searching
	+ Look in current project, current model, current diagram or open diagrams
	+ Open window with all found items
	+ Find in parts (Name, CustomID, Stereotype, Tagged Value, Documentation, Comment, Attribute, Operation, Other)
	+ Highlighting of found text
+ Added replace feature (Edit / Replace)
+ Completely rewritten module for XMI import and export [RQ#43]
	+ Supported export/import of guards, preconditions and postconditions [RQ#44]
+ Easy manipulating with self relations [RQ#48]
+ Added new element: Junction (State Machine Diagram)
+ Added name rendering for some elements (ports, pins, initial nodes, initial states, flow final nodes, final nodes, final states, entry points, exit points, decisions, merges)
+ Added option to show/hide the name for these elements (+  activity parameter nodes)
+ Added option to choose the format of text before the text is typed in document editor
+ New style options for relation texts: Text Wrapping and Text Wrapping Threshold
+ Added delete button for each item in list of recent projects
+ Added support for Page Up and Page Down in document editor
+ Added progress dialog for source code parsing
+ Improved drag&drop to submodel [RQ#51]
+ Slightly improved Smart Layout
+ Improved export of documentation to HTML (lists, background color of text, size of table)
+ Added new option to batch export: Create subdirectories for models [RQ#52]
+ Added support for pasting images and text into diagram
+ SIM Project (.simp) file can be drag&dropped to editor - it opens the dialog for copying the diagrams from dragged project to open project
+ Added button for hiding the context toolbar
+ Folder Browser dialog in Batch Export dialog changed to Open File Dialog
+ Thumbnails of diagrams in batch export dialog (thummbnail displays when mouse is over the diagram name at least 1.5 sec)
* Improved selecting in document editor
* Fixed project tree refreshing after parsing the source code
* Fixed saving custom position of name label of Activity Parameter Node
* Fixed moving of group of objects using keyboard
* Fixed application crash when loading Operation dialog with source code of undefined language
* Fixed incorrect setting of view when use CTRL-Home or CTRL-End keys in document editor
* Fixed rendering of cell background when it is edited
* Fixed calculation of relation bounds when displaying of texts is turned off
* Fixed drag&drop of image files to editor when no temp directory is created
* Fixed cancelling of changes when elements are moved after applying some arrange commands
* Fixed updating of diagram bounds after some arrange commands
* Fixed searching in nested models
* Fixed problem with missing objects in exported documentation


Version 5.11 (Release date: 2012-04-01) -------------------
+ Added new class modifiers: Root, Leaf, Active
+ Improved Paste options form (based on [RQ#42])
	+ Changed default action for paste to Paste as a copy
	+ Added description for each option
	+ Added an icon for each option
+ Added confirmation dialog for Delete from Project command (dialog displays all elements which will be deleted and in what diagrams they are placed) (based on [RQ#42])
+ Added option for output encoding (UTF-8, UTF-7, UTF-32, Unicode, Unicode Big Endian, ASCII) in setting dialog for source code generation (based on [RQ#38])
+ Added numbered lists in document editor
+ Added support for Select all in document editor
+ Added new source code template (With type hinting) for PHP [RQ#40]
+ Added delete confirmation before deleting document or document template
* Added check for person ID, whether is filled and whether is not already used
* Fixed application crash when some element contains comment from undefined person
* Fixed application crash when no temp directory is created
* Fixed application crash when delete text of last attribute or operation in inline edit mode
* Fixed application crash when try to delete document and nothing is selected
* Fixed application crash at source code generating when a class has the name which is not allowed for file
* Fixed wrong behavior of delete and delete from project when more elements with the same model are used on the single diagram [RQ#42]
* Fixed incorrect binding of relations to elements with shared model, when multiple elements with the same shared model are used on the single diagram [RQ#42]
* Fixed some cases of incorrect rendering of selection in document editor
* Fixed renaming and deleting of documents in project tree
* Fixed All entities view in project tree (it showed only items from Project repository)
* Fixed loss of class attribute multiplicity when open again in Properties dialog [RQ#41]
* Fixed not working menu item Delete from Project for selected diagram element in project tree
* Fixed deleting of multiple elements from project tree
* Fixed printing of replaced command texts in document editor - now they are printed without blue background and borders
* Fixed tool unlocking in toolbox
* Changed text Cancel Bulleted List to None


Version 5.10 (Release date: 2012-03-27) -------------------
+ Reorganized menus to make the enviroment clearer
+ Improved Java source code generation (interfaces and enums supported)
+ Imports (imported packages/namespaces) can be defined for each class in diagram using tagged values (Name=Import,Value=Package_name)
+ At source code generation, package/namespace name of class is based also on package, in which the class is placed
+ Source code generator supports creation of subdirectories for namespaces/packages
+ Custom radio button is automatically checked when you edit the custom name pattern in image batch export dialog [RQ#37]
+ Open diagrams are selected for batch export as default [RQ#37]
+ Added menu item Close (CTRL-W) into Windows menu - it allows to close active tab/child window  [RQ#36]
+ Added menu items Minimize and Maximize into Windows menu
+ Added new menu items Delete from Diagram and Delete from Project into Edit/Delete Special
+ Improved delete command - if deleted element has only one instance in the whole project, it will be deleted also from repository
+ Added new template command for element: Package
+ Template command TaggedValues can be called with parameter, which allows to return only tagged values with specific name
+ Added support for tabbing between cells of table in document editor
+ Added support for navigation using cursor keys (left, right, down, up) in table
+ First cell of table is edited after inserting table in document editor
+ Used tagged names are suggested when adding new tagged value
+ Added context menu to formatted text editor
+ Open diagrams are selected in source code generation dialog
+ Added selection buttons (Select All, Invert, None) into source code generation dialog
+ Added line spacing option in document editor
+ Added left indent, right indent and first line indent option in document editor
+ Added popup menu for table creation
+ Document editor supports tabs
+ Added horizontal ruler to document editor
+ Newly created paragraph takes the style of previous one instead of the default style
+ Added print of documentation
+ Table can be moved using special move grip
* Disabled adding of empty names of imported packages/namespaces in source code generation dialog
* Fixed application crash in Code Editor control, when it is resized to very small size [RQ#32]
* Fixed application crash when clicking on empty area in tree control [RQ#33]
* Fixed problem with export of diagram to PDF [RQ#35]
* Fixed application crash when adding new source code language in class properties dialog
* Fixed predefined diagram filters
* Fixed work with tables in document editor
* Fixed undo for paste command in formatted text editor
* Fixed showing of save message also when no changes made in documentation template editor
* Small visual fixes and improvements


Version 5.07 (Release date: 2012-03-19) -------------------
+ Document editor supports drag&drop of text
+ All elements of grid can be selected by clicking on the upper left corner
+ Added support for keys Page Down, Page Up, Home, End in list boxes
+ Big update for Chinese translation (thanks to Zen Liu)
* Increased resolution of diagram images in documentation editor
* Cursor in documetation editor changes to arrow when it is over the object (image, table)
* Button in toolbox will be unselected, when you click on locked button to release the lock and the default button (Selection) will be selected
* Node in project tree is selected no more after clicking on Expand/Collapse (plus/minus) button
* Fixed incorrect generation of source code for interface [RQ#28]
* Fixed application crash when adding a new model in project sidebar and no node of project tree is selected [RQ#29]
* Fixed application crash when try to generate source code to not existing directory and added message box that ask you whether to create this directory [RQ#27]
* Fixed moving in list boxes using keys (selection event did not fire before)
* Fixed clipping of long text in use case
* Fixed rendering of lock icon to not overlay shorcut key label
* Fixed selecting of marked text (command text) in documentation editor
* Fixed disabled drag&drop of elements from project tree to documentation editor
* Fixed possible application crash in document editor
* Fixed possible application crash in glossary editor
* Fixed selection in end of document
* Fixed double-click selection of words on beginning or end of line
* Fixed project tree updating when added/removed document in project documentation or documentation template
* Fixed problem with not working END command in text editor in a specific case
* Fixed application crash when editing source code of element [RQ#31]


Version 5.06 (Release date: 2012-03-11) -------------------
+ New arrange option - distribute
+ Attributes and operation can be moved using drag&drop (also to another class)
+ Improved XMI import (supported comments, lowerValue and upperValue of attributes)
+ Added setting for background color of cell in document editor
+ Elements can be moved to other diagram and diagrams to other model using drag&drop in project tree [RQ#25]
+ Added support for interfaces in PHP source code generation [RQ#22]
+ Documents and templates are displayed in project tree
+ Reorganized toolbars in documentation editor
+ Edited document can be open in new window
* Fixed small repositioning of relation ends after loading at specific cases
* Fixed some inaccuracies in cursor positioning in document editor
* Fixed unavailable editing of diagram documentation in sidebar
* Fixed applying changes in documentation from side bar editor when only format changes were made
* Fixed application crash with out of range exception in state machine diagram [RQ#23]
* Fixed problem with serialization when copying table in document [RQ#25]
* Fixed saving/loading of item position in project tree
* Fixed incorrect setting of attribute type when it is edited using Attribute dialog [RQ#26]


Version 5.05 (Release date: 2012-03-06) -------------------
+ At first save application offers as default name for project file the project name
+ Project Properties window displays when clicking on project node in project tree
+ Project can be renamed directly in project tree
+ Faster document editor
+ Added setting for background color of text in document editor
+ Added setting for justified text in document editor
+ Copy, Paste, Cut, Undo and Redo buttons work for document editor when it is active
+ Added support for multiple selected rows in attributes, operations and parameters grids in Properties dialog
+ Added support for copying of grid content (attributes grid, operations grid, etc.)
+ Program remembers default size of Element Properties dialog
+ Position of sequence message text can be changed [RQ#19]
+ Sequence message switch to edit mode after inserting
+ Added support for multiline text of sequence message [RQ#19]
+ Added support for multiline name for actions, activities, states
+ Added * symbol to title bar for unsaved project
+ Displaying save icon in status bar when saving
* Fixed serialization error wben copying [RQ#17]
* Fixed inserting interaction operands using drag&drop [RQ#18]
* Fixed application crash when removing column from table
* Fixed application crash when try to export document with table which contains empty cell(s)
* Fixed wrong offseting of text after sever clicks on table cell in documentat editor
* Fixed removing entity attribute from Properties dialog
* Fixed applying default setting for source code generation language and template in main window
* Fixed missing spaces in generated TXT documents [RQ#21]
* Fixed table rendering in generated TXT documents


Version 5.04 (Release date: 2012-02-26) -------------------
+ Added new way of adding relationships using drag&drop (relationship starting in selected element and ending in element over which you drop relationship) [based on RQ#12]
	+ If multiple elements are selected, multiple relationships will be added 
	+ If SHIFT is pressed at drop time, relationship will be added reversed
+ Added new tool: Image
+ Added support for embedded images in project
+ Images can be added to diagram from file using drag&drop
+ Higher default lifelines inserted using drag&drop
* Added missing statements to statement list in source code editor
* Fixed wrong binding of elements from subrepositories [RQ#14]
* Fixed binding of object classifier [RQ#15]
* Fixed missing of nested models in classifier choice dialog
* Fixed problem with saving of style, which was changed from context bar, when element had assigned a style class


Version 5.03 (Release date: 2012-02-20) -------------------
+ Added new option: Show Paper (Diagram/Bounds)
+ Added new context bar command for Fragment: Add Interaction Operand
+ Added new copy commands for selection: Copy as Bitmap and Copy as Metafile
+ Program remembers last set background for diagram and use it for newly created diagrams
+ Language menu moved to Options widnow (General tab)
+ Copy commands for diagram moved to submenu (Diagram/Copy)
+ Added new elements to State machine diagram and Interaction overview diagram: Merge, Fork and Join (splitted Fork/Join)
* Ref Fragment replaced with Interaction Use
* Added icons missing in project tree
* Fixed application crash when confirm Options window without displaying Menu tab
* Fixed displaying of checked state of Show Borders option in menu, if option 'Expand In All Directions' was active
* Fixed application crash when saving project with template parameters
* Fixed application crash when try to export to XMI the project with disconnected relations
* Fixed displaying Unknown as type of some elements in the project tree
* Fixed region resizing in fragments and states
* Fixed editing of template parameters using mouse


Version 5.02 (Release date: 2012-02-15) -------------------
+ Added context bar button for switching between vertical and horizontal swimlane
+ Program remembers last settings for documentation generation setting dialog
+ Program remembers last settings for source code generation (language, template)
+ Program remembers last settings for diagram size
+ The first template is selected as default (Setting dialog for documentation generation)
+ Suffix of output filename is automatically changed when another format is selected (Setting dialog for documentation generation)
+ Added support for many same elements in the single diagram
+ Updated Polish translation for version 5 (thanks to Bartosz Gołek)
* Fixed canceling of changes of edited field when clicking on context bar button which starts a new edit action
* Fixed vertical alignment command
* Fixed problem with disabled cooperation side bar
* Fixed binding of relations in nested models after loading
* Fixed loading of elements defined in model repositories
* Fixed updating diagram bounds after applying auto update
* Fixed repainting during element rotation
* Fixed applying changes of name and other properties made in dialog after duplicating a source code template
* Fixed selecting classifier for lifeline from dialog
* Fixed accumulating of empty persons after each load when user profile is not filled
* Fixed application crash when pasting new instance of element in diagram which already contains this element and doing some action
* Fixed some typo errors


Version 5.01 (Release date: 2012-02-10) -------------------
+ Added new template commands: Equals, IsStartRoleAssociationType, IsEndRoleAssociationType, StartRoleElementId, EndRoleElementId
+ Added types of glossary item
* Added missing icons for some element types in project tree
* Added missing diagram types in Start with... section on Start Page
* Fixed wrong message box with question when clicking on OK button in Source Code Template Editor
* Fixed conflict with profile of previous version
* Fixed processing of key shortcut F12 for fullscreen, Escape for exit fullscreen
* Fixed displaying checked state when Auto Expand In All Direction is active
* Fixed application crash when showing Element Browser in project with no elements
* Fixed text in restart request box which show after clicking 'Change Edition' menu item
* Fixed clearing code editor when select Setting tab  as the first one in Source Code Template Editor
* Fixed application crash when adding create message from activation bar (sequence diagram)
* Fixed crash of template evaluator when evaluating iteration without items
* Fixed rare application crash which could occurs on paint of rulers
* Fixed application crash when inserting forked conversation link using drag&drop


Version 5.00 (Release date: 2012-02-06) -------------------
@ Professional Edition:
+ Added BPMN diagrams
	+ Conversation diagram
	+ Collaboration diagram
	+ Choreography diagram	
+ Added JSD diagrams
	+ Entity structure diagram
	+ Network diagram
+ Added Entity Life History diagram
+ Added Hierarchical Task Analysis diagram
+ Added Gane & Sarson notation for DFD
+ Added new UML elements:
	+ Activity Loop Node
	+ Activity Conditional Node
	+ Connector
	+ Gate
	+ Boundary, Control and Entity lifelines
	+ ForkJoin element was split to Fork and Join
	+ Merge
+ Added other new elements:
	+ Art text
+ Source Code parsing into model/diagrams
	+ C# parser
	+ VB.NET parser
	+ Java parser	
+ Support for multiple templates per programming language
+ Advanced selectors for parts of source code template
+ Smart keys
	+ Added shortcut keys for tools
+ Source Code Parser in side bar - identifies inserted code and generates diagram elements
+ Project documents
	+ Export to HTML	
	+ Export to ODT	
	+ Export to PDF	
	+ Export to RTF	
	+ Export to TXT
+ Improved database importing
	+ Import tables from MySQL
	+ Import tables from any data source using OLE DB	
+ Support for reverse engineering of .NET 4 assemblies
+ Improved reverse engineering (recognizes abstract, virtal and static methods)
+ Several levels of element repositories which define the visibility of element in the project (project repository - present in previous versions, model repository, diagram repository)
+ Improved Element Browser
	+ Shows related elements	
	+ Shows diagram on which the selected element is present 
	+ Shows associated diagrams
	+ Name filter
+ Added operation body with source code (multiple languages supported)
+ Name of activity parameter is turned into label
+ Diagram size settings 
	+ Expand in all directions
	+ Expand right down
	+ Fixed sizes (A4, A3, letter, legal, ...)
	+ Multiple pages of chosen size
	+ Custom size
+ Show/hide paper borders
+ Rotation of elements
+ Improved automatic refreshing of project tree
+ Elements can be precisely moved in vertical and horizontal direction when CTRL is pressed during moving
+ Diagram will be not open when you drag an element in the project tree
+ User Profiles - First Name, Last Name, Initials, E-mail
+ Displaying creator of element
+ Items in project tree can be reordered using mouse
+ Project tree can be ordered in various ways:
	+ Custom order
	+ Order by name 	
	+ Order by creation date
	+ Order by type
+ Splittable diagram editor
+ Information about selection in the status bar
	+ Coordinates can be displayed in one of 4 units (pixels, millimeters, centimeters, inches)
+ Rulers in diagram editor
+ New context bar buttons:
	+ Change border color
	+ Change background color
	+ Change second background color
	+ Change border width
+ Added context menu for toolbox  (allows collapse/expand the group, change the style of icons)
+ Icons in toolbox can be displayed without names
+ Dialog with Paste options
+ Items can be pasted as instances of existing model item, which will be connected with
+ Renaming of diagrams and models using double-click on tab
+ Added Associated Diagrams tab in Item Properties dialog
+ Items can be deleted using DELETE key in Project tree
+ Menu shortcut keys editor 
+ Project can be saved into multiple files
+ Added keys for adjusting view 
	+ Small move - Left/Right/Up/Down
	+ Large move - SHIFT + Left/Right/Up/Down
	+ Page move - Page Up, Page Down
+ Cancel selection with ESCAPE key	
+ Custom filters
+ Management of custom filters (global/project filters)
+ Filter by author of element
+ Added Diagram Properties item into the context menu for diagram
+ Added Style tab in Diagram Properties dialog (diagram background can be set)
+ Multiselection in project tree can be clear using ESCAPE key
+ Elements can be drawn in any direction not only from left top to right bottom
+ Multiplicity of association role can be chosen from drop down list
+ Tab pages in sidebar can be closed (using middle mouse button or from menu View/Sidebars/)
+ Border width of comment connector can be changed
+ Improved style of menus
+ New souce code template commands:
	+ Bounds commands (DElement.X, DElement.Y, DElement.Width, DElement.Height)	
+ Associated diagrams are displayed without their content in the project tree (makes work with bigger project much more faster)
+ Project filename is displayed in title bar of main window
+ Names of state regions are displayed
+ Lifeline stops automatically after destroy
+ Class attribute supports multiplicity
+ Class attribute supports ordering
+ Elements can be moved to another layer using context menu
+ New style option: Padding
+ Lifelines in Communication Diagram supports active and multi-object parameter
+ Some message boxes with question can be set to not show again
+ Rendering quality setting is persistent
+ Added shortcut key (/) for 100% zoom
+ New grid in ERD entity editor (Properties Dialog)
+ Background colors, border colors and line width can be set from context bar for multiple elements at once
+ Start and end role group boxes in properties dialog for association contain the name of element, to which they refer
+ Updated icons and added more icons, different icons for Add Attribute, Add Operation, Add SubClass and Add SuperClass
+ Added Pan tool
+ Author of project, model and diagram is automatically filled by application settings
+ Added new properties to model: Author, Version, Creation Date
+ Changed localization file format from custom format to standard .resx format
* Fixed tab order in diagram properties window
* Project tree is automatically updated after dropping item from toolbox
* Fixed incorrect change of position of activity parameter when is on bottom of activity and the activity is resized

@ Ultimate Edition:
+ Templates for project documents
+ Aliases - sets of alternative names
+ Graphics library
+ Graphics editor
+ Added Shape tab into side bar
+ Custom graphics can be added for stereotypes
+ Cooperation panel
+ Cooperation tab in Properties dialog for each element
	+ Creator of element
	+ Participants
	+ User comments
+ Project comparison
	+ Exact comparison
	+ Comparison by name
	+ Comparison by custom ID
+ Project glossary
+ Template editor for generated source code
	+ Visual template editor
	+ Text template editor
	+ Preview of generated code


Version 4.104 (Release date: 2012-02-06) ------------------
* Fixed updating of styles panel after opening style set
* Fixed saving of last change of edited style in style set editor
* Fixed saving of style class for drawing items
* Fixed saving of name for drawing items
* Fixed rendering transition line with curve style


Version 4.103 (Release date: 2011-11-15) ------------------
+ Default style uses default system font instead of Arial
* Fixed application crash when loading special case of sequence diagram
* Fixed application crash when TAB pressed in diagram with no elements
* Fixed inserting of actors from project tree into sequence diagram
* Fixed batch export of images for diagrams with invalid file name characters in name
* Fixed copying of polygons


Version 4.102 (Release date: 2011-10-10) ------------------
+ Added French translation (thanks to Nadir Benyoub and also Gwendal Toullec for some corrections)
+ Changed grid control in Operation editor dialog
* Fixed adding pin to action
* Fixed application crash when editing operation parameter (only Linux)
* Fixed application crash when editing ERD entity attribute (only Linux)
* Fixed closing Item Properties dialog without confirmation (only Linux)
* Fixed application crash when loading ERD entity attribute dialog at specific conditions
* Fixed application crash when adding new diagram at specific conditions
* Fixed application crash when editing Timing diagram at specific conditions


Version 4.101 (Release date: 2011-09-03) ------------------
+ Escape key can be used for exit from fullscreen
* Fixed application crash when adding Flowchart, Robustness or Timing diagram from New Diagram dialog
* Fixed application crash when generating very small thumbnail for diagram in tab
* Fixed moving lines in group
* Fixed drawing vertical and horizontal lines
* Fixed displaying of diagram documentation when no element is selected
* Fixed landscape printing (from File / Print)
* Fixed allowed nesting of lifelines


Version 4.100 (Release date: 2011-08-21) ------------------
+ Improved XMI import (UML:AssociationEnd.participant supported)
+ Name field and ID field are swapped in Properties dialog, Name field is the first one now
+ Added prompt on close of Properties dialog
* Relation ends are adjusted when dragging is finished and the relation is disconnected
* Fixed exporting of a single character on a new line in SVG export
* Fixed moving down and up of attributes of ERD entity after loading a saved project
* Fixed canceling of an edited value (attribute, operation) when new edit action starts before confirming the previous editing
* Fixed application crash when clicking on Add TO-DO and no project is open (TO-DO panel is now disabled when no project is open)
* Label 'Text' was renamed to 'Task' in TO-DO dialog
* Fixed drawing of line and its resizing


Version 4.99 (Release date: 2011-07-18) -------------------
* Fixed application crash on first startup when no profile is created


Version 4.98 (Release date: 2011-07-10) -------------------
+ Allowed to change destination activation bar of sequence message
+ Allowed to change parent lifeline of activation bar
* Fixed adding/editing of custom types
* Fixed undo for change of relation end
* Fixed application crash when try to draw polygon with a single point
* Fixed source code template for C# class


Version 4.97 (Release date: 2011-06-14) -------------------
+ Option for Show/Hide visibility of attributes and operations
+ Improved operation parameters parsing in the Properties window (as separator can be used also semicolon)
+ Improved SVG import - all gradient types supported, better opacity support in gradients
* Fixed tab order in the Diagram Properties dialog
* Fixed mnemonic shortcut for Element (it was E as for Edit)
* Fixed appliction crash when try to scroll treeview without scrollbar on mouse wheel
* Fixed grid scrolling - now it cannot be scrolled on mouse wheel when there is no scrollbar
* Fixed problem with duplicating of types in the default type set after reloading project
* Fixed application crash when updating dates in the recent project list and some file is moved
* Fixed commands Center Horizontally and Center Vertically (they were swapped)


Version 4.96 (Release date: 2011-05-10) -------------------
+ Improved rendering of long sequence messages
+ Small improvements in XMI import and export
* Fixed application crash at special combination of elements in sequence diagram
* Fixed rendering of multiobject lifeline
* Fixed problem with z-order of elements in SVG export
* Fixed inaccurate clip of right and bottom border of exported SVG image
* Fixed key shortcut for 'Add Model' - changed to CTRL-M
* Fixed application crash when sequence action tool is active and double-click is used
* Fixed moving of sequence actions and relations using arrow keys


Version 4.95 (Release date: 2011-04-17) -------------------
+ The path of relation from an element to itself can be edited
+ Improved editing of ERD entities (attribute is in edit mode after inserting; navigation in attributes using arrow keys)
* Fixed saving changes of fields in Project properties window
* Fixed precision of value lifeline according to ticks (Timing Diagram)
* Fixed rendering of gloss effect for value lifeline (Timing Diagram)
* Fixed rare application crash when performing hit test for relation
* Small improvements in XMI import and export


Version 4.94 (Release date: 2011-04-11) -------------------
* Fixed binding of visibilities after copying and pasting
* Fixed inserting recursive and self messages onto an existing activation bar
* Fixed drawing of Timing frame content after loading a saved project
* Fixed precision of timeline drawing to be consistent with ticks
* Fixed disconnected line between component and interface after loading
* Fixed icon for Realization


Version 4.93 (Release date: 2011-03-23) -------------------
* Fixed application crash after closing window without loading or creating a project
* Fixed application crash when no e-mail application is associated and click on e-mail address in About dialog 
* Fixed hidden toolbar on Style tab
* Fixed missing elements from model after grouping
* Fixed unconnected relations after pasting a group and ungrouping
* Better update of user interface after changing the language


Version 4.92 (Release date: 2011-03-22) -------------------
+ Added Brazilian Portuguese localization (thanks to Franz E. Arnold)
+ Removed Save button in Project properties window - information changes are automatically applied to project
+ Project file is locked for write after loading to prevent unauthorized writing
+ Added option for disabling shortcuts with CTRL-ALT
+ Added immediate editing of name also after inserting element using double-click
* Print window is automatically closed after finishing the print 
* Fixed tab-order in Item Properties window
* Fixed omitted update of relation points when resizing group of elements
* Fixed processing of relations with multiple nodes by auto layout
* Fixed a specific case of application crash when loading project with groups of elements
* Fixed recognition of project properties change
* Fixed tooltip text of Expand All button in side bar
* Fixed inserting comments and constraints using double-click


Version 4.91 (Release date: 2011-03-10) -------------------
+ Improved moving of relationship paths (nested elements, multiple selected elements)
+ List of recent projects is ordered by last change date
+ Added displaying of last change date (list of recent projects)
+ File name is displayed instead of full path (list of recent projects)
+ Package tab is enlarged when the name is too long
+ Added context menu for layer control
+ Added Collapse All button in project tree panel
+ Added icon to indicate whether layer is displayed or hidden
+ Auto-update options - Turn off / Notify new version / Full setup / Fast update (for RS and OS)
+ Added new shortcut keys (Export/Image - Ctrl-Shift-B and Export/XMI - Ctrl-Shift-X)
+ Element types in Stereotypes window are ordered by name
+ Added artifact in list of element types (Stereotypes window)
* Fixed specific case of application crash when loading diagram with polygon element
* Fixed incorrect calculation of relation bounds after loading which prevented moving of relation texts
* Fixed application crash when using selection inside container (Alt + Mouse)
* Fixed applying setting 'Relations always on top' in export
* Fixed incorrect setting of container bounds after undoing adding to container with inflating
* Fixed application crash when pasting special combination of elements
* Fixed Mono specific problem with checking whether directory is available for writing


Version 4.90 (Release date: 2011-02-20) -------------------
+ Auto update (for Registred Users [RS] and Official Supporters [OS])
+ Send request form (for RS and OS)
+ Send error report on one click when some exception occurs (for RS and OS)
+ Improved XMI export and import
+ Added Structure element (in Class Diagram)
* Fixed application crash when renaming diagram and diagram window is closed
* Fixed application crash when exporting to XMI
* Fixed problem with loading on Linux
* Fixed specific case when relations cannot be moved after loading


Version 4.88 (Release date: 2011-02-06) -------------------
+ Added setting for default attribute visibility
+ Added setting for default operation visibility
+ Added setting for default displaying of NULL/NOT NULL in ERD entities 
+ Added support for editing documentation of diagram in sidebar documentation editor when no element is selected
+ Added specific default names for all diagrams
+ Added command for showing all layers (Diagram/Layers/Show All)
* Arrows in communication messages are rendered as filled
* Fixed direction of arrows in communication messages
* Fixed updating list of diagrams in Model Overview window after deleting/adding diagram
* Fixed application crash when copying and pasting relation without its destination element
* Fixed special case of application crash when adding diagram into the project tree
* Fixed application crash when trying to delete project from context menu in project tree (this item is disabled for project now)
* Fixed copying of Communication Messages (in Communication Diagram)
* Fixed loading of Timing Diagrams
* Fixed rendering of Duration Constraints
* Ref Fragment tool changed into Interaction Use (in Sequence diagram)
* Fixed misspelling (Inseraction Use > Interaction Use)
* Fixed setting custom return type of operation from Operation Editor dialog


Version 4.87 (Release date: 2011-01-30) -------------------
+ Added Dutch translation (thanks to Edwin Huijsing)
+ Tab can be closed using middle button
+ Diagram layers can be renamed
+ Added undo support for renaming in project tree panel
* Inflate container dialog is not displayed when moving border element
* Fixed application crash when pasting some elements
* Fixed refreshing of name in tab header when changing diagram name


Version 4.86 (Release date: 2011-01-16) -------------------
+ Added Spanish translation (thanks to Delbert Friesen)
+ Added Frame element
+ Added Interaction element
+ Added Interaction Use element
+ Layers can be reordered
+ Added setting for initial state of project tree (fully expanded, expand models, expand project, collapsed)
+ Added more interaction operators into combo box in Fragment properties dialog (critical, assert, strict, seq, ignore, consider)
+ Better optimized for portable version (settings and profile are saved in the application root directory)
+ User profile is now saved into {UserPath}\AppData\Roaming\DusanRodina\SoftwareIdeasModeler (previous 'Program Files' location needs administrator rights e.g. to add custom stereotypes)
+ Full filename is appended to project name in Recent Projects list of Start Page
+ Lifeline header is automatically inflated when the content is larger
+ Added create sequence action into toolbox and enhanced the layout of sequence diagrams with create sequence actions
+ Improved drawing of activation bars
* Fixed application crash when zooming out
* Fixed application crash when pasting relation in the specific state
* Fixed problem when the same file could be added several times to the list of recent projects
* Fixed adding of existing diagram when it has elements with internal IDs which already exist in current project
* Fixed resizing of documentation text box
* Fixed group moving of sequence actions
* Fixed remembering of paths for open and save file dialog


Version 4.85 (Release date: 2011-01-09) -------------------
+ Attributes from super classes can be added to object
+ Added support for inline editing to relations
+ Added check for output directory in batch export
* Disabled buttons which cannot be used when no project is loaded
* Fixed unwanted displaying of dialog for inflating container
* Fixed rare problem with printing of lines
* Fixed incorrect offset of grid at specific zoom values
* Fixed adjusting of view when zooming using zoom bar in statusbar
* Fixed zoom setting in print preview dialog


Version 4.84 (Release date: 2011-01-03) -------------------
+ Added Traditional Chinese localization (thanks to Hueyan Chen)
+ Stereotypes can be reordered
+ Multiple stereotypes can be removed at once
+ Multiple selected elements in the project tree can be added to another diagram
* Fixed problem with stereotypes in constraints
* Fixed application crash after pasting group of elements
* Fixed application crash after pasting element which has associated some relations in original diagram
* Fixed saving of Snap To Grid setting


Version 4.83 (Release date: 2010-12-18) -------------------
+ Very long relations/transitions texts are wrapped
* Added support for displaying tagged values for these elements: Node, Lifeline, Actor, System Boundary, Package, Collaboration, Signal Receipt, Signal Sending, Expansion Region, Interruptible Activity Region, Action
* Fixed displaying state name
* Fixed wrong restriction of Actor lifeline (any element could be added)
* Fixed applying grid settings when inserting element using double-click or drag and drop
* Fixed rare crash when resizing rounded element to very small size
* Fixed some minor rendering problems


Version 4.82 (Release date: 2010-12-14) -------------------
+ Added Realization into the Use Case Diagram
+ Added type sets for PostgreSQL and Python (thanks to Dmitry Anchakov)
+ Commands for relations (Reverse, Lock Start Point, Lock End Point, Line Style) can be executed for more selected relations
+ Program ask whether to inflate container (i.e. package) if at least one of elements is not fully contained in container
* Window with purchase/donation appeal is not displayed for donors
* Forbidden adding of empty custom stereotype
* Fixed saving ang loading of custom types
* Fixed JavaScript source code generation from dialog (Tools > Generate Source Code)
* Fixed missing response to left and right keys in the text box in the project tree
* Fixed ignoring of setting 'Relations always on top' in print
* Fixed ignoring of setting 'Relations always on top' when selecting an element (relations was visible but not selectable)
* Fixed printing using default printer instead of the chosen one
* Fixed wrong referencing of removed extension points
* Fixed application crash during XMI import
* Fixed problems with incorrect layout of sequence diagram layout after loading
* Fixed cancel button in dialog for .NET Framework reverse engineering
* Fixed cropping of shadows in exported image
* Fixed adding elements into container which are not intersecting with container when multiple elements dragging (now they are not added into container)
* Fixed incorrect view adjustment after pasting elements from clipboard
* Fixed incorrect check state displaying of Show Grid menu item
* (Linux only) Fixed wrong displaying of language choice window - only first item was displayed


Version 4.81 (Release date: 2010-12-08) -------------------
+ Added German localization (thanks to F. Braun and C. Rauber)
+ Added support for JavaScript source code generation
+ Added rendering of stimulus and duration constraint (Timing diagram)
+ Bounds of Self messages and Recursive messages can be adjusted
+ Underlined name of lifeline is optional
+ Colon is not displayed after lifeline name when base classifier is not specified
+ Saving of path for batch export
* Fixed special case of wrong cropping of exported diagram into image
* Fixed application crash after second editing of events in Properties dialog (Timing diagram)


Version 4.80 (Release date: 2010-11-29) -------------------
+ Added new elements into Sequence Diagram:
	+ Duration Message
	+ Found Message
	+ Lost Message
	+ Coregion
	+ State Invariant
	+ Duration Constraint	
+ Added new elements into Activity Diagram:
	+ Activity Parameter Node
	+ Expansion Region
	+ Expansion Node
	+ Pin
	+ Exception Handler
+ Added editable rectangular style of line
+ Routing of relation (Arrange>Route Relation)
+ The list of recent files can be cleared (Tools>Options>Recent Projects>Clear Recent Projects list OR File>Recent Projects>Clear this list)
+ Preserving settings after application update
+ Added undo suport for Remove All Custom Styles
+ New relation added into the diagram has the same line style as the last one
* Fixed moving group of activation bars or messages in sequence diagram
* Fixed application crash in reverse engineering of database
* Fixed minor errors in GUI


Version 4.72 (Release date: 2010-11-14) -------------------
+ Added file filter in open file dialog for custom presentation image
+ Improved selection tool (when you hold ALT key, selection has the top priority - so you can select nested elements within package)
* Items in menu File which need an opened project are disabled when no project is loaded
* Fixed application crash when clicking on Print and no project is loaded
* Fixed application crash while generating documentation
* Fixed selection of two tools when Usage tool is selected
* Fixed critical error of project saving when project is closed, other project is created or opened and then saved
* Fixed updating of element browser
* Fixed linking between diagram element and its model
* Fixed undo for adding existing element to another diagram


Version 4.71 (Release date: 2010-11-10) -------------------
+ Added Finnish localization (thanks to Arsi Virta)
* Fixed application crash after loading of project related to straight style of relations


Version 4.70 (Release date: 2010-11-09) -------------------
+ Export to XMI 2.1 (class diagrams, use case diagrams)
+ Added new elements into sequence diagram:
	+ Actor Lifeline
	+ Concurrent
	+ Self Message
	+ Recursive Message
+ Added support for editing template parameters in Properties dialog
+ Added context menu for ERD entity attributes and template parameters (Rename, Move Down, Move Up, Remove)
+ Added new parameters to lifeline: Multi-object, Active
+ Added support for asynchronous sequence messages
+ Added button Show Dialog in Properties side bar
+ Added check for version of project file (warning will be displayed when you try open file saved in newer version)
* Added missing localization items
* Fixed deleting of template parameters
* Fixed updating model after deleting relation
* Fixed loading of template parameters
* Fixed calculation of layout of diagram description
* Fixed width of table in generated documentation
* Fixed undo for changes made from Properties side bar


Version 4.60 (Release date: 2010-11-02) -------------------
+ Added Usage relationship
+ Added new elements into composite structure diagram:
	+ Interface
	+ Required Interface
+ Added new elements into deployment diagram:
	+ Artifact
	+ Deploy
	+ Manifest
	+ Generalization
	+ Dependency
+ Added new elements into communication diagram:
	+ Actor
	+ Generalization
	+ Swimlane
	+ Dependency
+ Added new context bar command Add Interface (for Port)
+ Added support for ports to parts
+ Added support for resizing of ports
+ Added shortcut keys for documentation editor (CTRL-B for Bold, CTRL-I for Italic, CTRL-U for Underline)
+ Added check for current line style in context menu
+ Added real straight style for lines
* Original straight style renamed to oblique style
* Improved refresh of thumbnails in tab bar
* Fixed undo for moving element with nested elements
* Fixed swapping of pre-condition and post-condition after confirming properties dialog
* Fixed loading of classifier for lifeline
* Fixed loading of localization files (Linux only)
* Small improvement in SVG rendering (Linux only)


Version 4.50 (Release date: 2010-10-26) ------------------
+ New print dialog
+ Batch print of multiple diagrams (print of current diagram moved to menu Diagram)
+ Print diagram on multiple pages
+ Added Page Setup dialog
+ Batch export of diagrams to images (export of current diagram moved to menu Diagram)
+ Added second notation for collaboration element
+ Added template parameters for class
+ Displaying extension points in use cases
+ Added support for actions and state invariant in composite states
+ Added new options for showing/hiding:
	+ Show/hide template parameters (class)
	+ Show/hide operation parameters (class)
	+ Show/hide nullability (ERD entity)
	+ Show/hide extension points (use case)
	+ Show/hide texts (relations)
+ Added Polish localization (thanks to Bartosz Gołek)
+ Optimized saving of project (creates smaller files)
+ Changed default style of swimlanes
+ Improved rendering of Accept Event Action element
* Added missing icons for some elements in project tree
* Fixed deleting of container element with nested elements
* Fixed multiple occurrence of static stereotype after several edits
* Fixed choosing wrong text style for rendering of relationship stereotypes
* Fixed truncated text of stereotype
* Fixed adding multi-line text into comment element
* Fixed exiting edit field after pressing up or down key
* Fixed showing Comment tab in Properties dialog
* Fixed removing nested models
* Fixed adding model from context menu when project is selected
* Fixed loading of text alignment in properties dialog


Version 4.15 (Release date: 2010-10-18) ------------------
+ Added context button for adding association class
+ Improved rendering of communication messages (in communication diagram)
+ Improved editing of communication messages (in communication diagram)
+ Added context buttons for communication messages (in communication diagram)
+ Added context buttons for CRC cards
+ Reworked behaviour of z-order for nested elements
* Updated Czech localization (thanks to Jiří Šafra)
* New path to temp directory (now is used system temp)
* When adding model from menu Project, it is added into the project not into the current model
* Added missing icons for comments and comment connectors in project tree
* Fixed problem with missing relations nested in containers (after loading project file)
* Fixed passing through operations using arrow keys
* Fixed missing of some element types in project tree


Version 4.10 (Release date: 2010-10-15) ------------------
+ New supported programming language in code generation: Python
+ Better support for interfaces in code generation
+ Added support for ERD diagrams in code generation
+ Added support for import to new image file formats: BMP, GIF, JPEG and TIFF
+ Added new shortcut keys (Select all of same type, Copy as image, Copy as metafile, Hide comments, Autosize, Merge layers)
* Fixed problems with preserving z-order
* Fixed rendering artifacts for nested elements
* Fixed application crash after clicking delete button in Class Properties dialog
* Fixed Collapse all nodes (in project tree)
* Fixed Realization and Dependency tools in some diagrams


Version 4.04 (Release date: 2010-10-11) ------------------
+ Added dialog for choosing the language
* Fixed problem with source code generation after generalization reverse
* Fixed saving of main window layout when it is minimized
* Fixed other minor bugs


Version 4.03 (Release date: 2010-10-09) ------------------
+ Position of sidebar splitter is saved as relative value
* Fixed problem with assigning types
* Fixed specific case of application crash on close
* Fixed resetting of positions of other windows after closing a window
* Fixed layout of element after style change
* Fixed wrong style of relation name


Version 4.02 (Release date: 2010-10-07) ------------------
+ In Import Database dialog, tables are ordered by name
* Error message for unsuccessful attempt to connect to database replaced with user-friendly message
* Added missing icon for association in project tree
* Fixed appliction crash after adding relation in ERD diagram
* Fixed problem with Destroy element misplacing after changing size of lifeline
* Fixed saving values edited directly in row of TO-DO list (not in dialog)
* Fixed other minor bugs


Version 4.01 (Release date: 2010-10-06) ------------------
+ Added dialog which allows to show more details about project loading error 
* Fixed application crash after clicking in the empty boolean column of grid
* Removed redundant <Custom> item from combobox in attribute and operation grid in Properties dialog
* Fixed the layout of Setting dialog (and other windows) for another DPI settings
* Fixed loading diagram description
* Fixed loading of assigned types from file saved in version 3.x
* Fixed initially disabled Edit button in Class Properties dialog
* Fixed start page has not tab after opening project (Linux Mono only)
* Fixed layout of error message window (Linux Mono only)


Version 4.00 (Release date: 2010-10-04) ------------------
+ New diagram types:
	+ UML Timing Diagram
	+ Flowchart Diagram
	+ Robustness Diagram
+ Import of classes from .NET assemblies
+ Import of database model
+ Element Browser
+ TO-DOs panel
+ Task Management
+ Easy hiding of comments, relations and collaborations (menu Diagram->Filter)
+ PDF documentation generation
+ Setting dialog for documenation generation
	+ Setting for documentation title, subtitle, author, company
+ Source code generation:
	+ Added setting dialog
	+ Choice of element set for source code generation: whole diagram/selected elements
	+ Added support for static, abstract and virtual modifiers
	+ Added support for namespaces
	+ Added support for imported namespaces
	+ Added support for documentation in comments 
	+ New supported programming languages: C++, Java, VB6, PHP, Ruby
+ Partial support for XMI import
	+ Option for automatic diagram creation from XMI
+ Diagrams can be imported from another project
+ Improved work with types
	+ Type sets
	+ Editor of types and type sets
+ Added new diagram elements:
	+ Accept Time Event Action
	+ Interruptible Activity Region
	+ Flow Final
	+ Action
	+ Deep History
	+ Shallow History
	+ Terminate Node
	+ Constraint
	+ Refine (Dependency)
	+ Access (Dependency)
	+ Combo Box (UI diagram)
	+ Grid (UI diagram)
	+ List Box (UI diagram)
	+ Progress Bar (UI diagram)	
	+ Scrollbar (UI diagram)
+ Added regions for concurrent states (new button in the context bar of state)
+ Added documentation for attributes and operations
+ Added support for static attributes and methods
+ Support for namespaces (can be defined for models and diagrams)
+ Improved editing of sequence diagrams
+ Stereotype editor
+ Default names and IDs settings
+ Tabs with diagram thumbnails
+ Resizable tab bar
+ Scrollable tab bar (using right mouse button and moving)
+ Showing thumbnails in tab bar when dragging element over it
+ Diagrams can be moved between models
+ New view of project tree: Diagram Types
+ Added icons for items in All Entities view of project tree
+ Added new context menu items for attributes and operations (Rename, Change type, Visibility, Move up, Move down, Remove)
+ Elements initial state, final state and entry point are resizable
+ Improved selection rendering for more selected elements
+ End of required interface need not be associated
+ Automatic locking (when end point is moved into the center of element) and unlocking (when end point is moved to the border of element) of end points of relation
+ Added automatic inflation of diagram bounds on the left and top edge of diagram
+ Improved generation of default names (program checks whether the new name actually exists)
+ Open diagrams are highlighted in Model Overview
+ Context menu added into the Model Overview allows open or close window with diagram and delete diagram from model
+ The width of lifeline can be changed
+ Classifier can be assigned to lifeline
+ Relation is automatically connected with defined entities after moving from the project tree
+ View of the diagram can be moved by dragging with pressed right mouse button
+ Added undo support for the command 'Create New Diagram'
+ Diagram element can be copied from one diagram to the other using drag and drop
+ Classifier can be setted to lifeline or object element using drag and drop
+ Added menu item (View/Start Page) to show the Start Page
+ Type can be removed from an attribute also in the Properties dialog
+ The order of attributes and operations can be changed using buttons (Move Up, Move Down) in the Properties dialog
+ Added dialog for the image export
+ New options for image export:
	+ Background colors of exported image
	+ Size of exported image
	+ Option for export only active layer
	+ Option for export all layers including hidden ones
+ Improved color combo - faster displaying, nicer UI, localizable
+ Improved precision of rendering
+ Improved rendering of borders and lines - zoom is applied to them
+ Improved selecting of elements (most apparent for fragment and interaction operand in sequence diagram)
+ New context bar buttons:
	+ Add Attribute (for ERD entity)
+ ERD diagram can be converted to UML Class diagram
+ Displaying of tagged values in diagram (command Show Tagged Values in Element menu)
+ Field editing (name, attribute, etc.) can be cancelled using ESC key
+ Group and ungroup commands added into the context menu
+ New faster and nicer project tree control 
+ Project tree supports multiple selection (using CTRL, SHIFT)
+ Selection in project tree is applied to elements in diagram and vice versa
+ Added button for showing advanced information
+ Added buttons for auto layouts in the Layout bar
+ Added icons for auto layouts
+ Added new style set Simple Bold
+ Name of the current project is displayed in the window title bar
+ Added menu item Closed Project into the menu File
+ Window position, size and layout are saved when closing and restored when starting
+ New menu Element/Add allows to add attributes and operations (also with shortcut keys)
+ Lots of added shortcut keys for menu items
+ Added shortcut key (F2) for renaming elements in the project tree
+ New shortcuts for diagram window:
	+ Zoom in (+), zoom out (-)
	+ Inflate element (CTRL++), deflate element (CTRL+-)
+ Attributes and operations support immediate editing (after adding)
+ Support for custom element images (Element/Presentation/Custom)
+ Smaller steps of wheel zooming in for zoom larger than 100%
+ Mouse cursor position is taken into account during wheel zooming to adjust view position
+ Project properties dialog replaced with MDI child window, which is automatically displayed after creating project
+ New model properties dialog
+ Element groups are displayed in the project tree
+ Project tree can be filtered by element type (entities, relations, comments, groups)
+ Displaying points of selected paths (relations)
+ New dialog window for unhandled errors
+ Option for turn on silent mode for unhandled errors
+ New setting: Display relations always on top
+ New setting: Auto scrolling
+ New context menu item for relation: Add Point
+ Relations can be reversed
+ Support for nested models
+ Showing icon for elements with assigned diagrams
+ Showing icon for elements with multiple usage
+ Dynamic loading of language menu
+ Added search box in standard bar
+ Copy diagram to clipboard as metafile
+ Inserting relations using drag & drop (auto/dialog)
+ Full screen mode
+ Element can be deleted also with associated relations (CTRL+DEL)
+ New style option: Text alignment
+ Added support for default value of operation parameter
+ Added name of model in title of model overview window
+ Thumbnails of diagrams in Model Overview window can be zoomed
+ Added Diagram Overview window for diagram types
+ Asynchronous rendering of diagram thumbnails in Model Overview window
+ Elements are slightly shifted right down after pasting
+ Improved auto size
+ After pressing ENTER next attribute/operation is edited or if it is the last, new one is created
+ Attribute/operation can be deleted by deleting its definition in inline editing field
+ Auto size is applied to element when double-clicking to right bottom sizing grip
* Added missing undo support for some commands
* Initial state is replaced with intial node in Activity diagram and Interaction overview diagram (to conform to the UML specification)
* Final state is replaced with activity final node in activity diagram (to conform to the UML specification)
* Fixed adding trailing nul symbols at the end of the project file
* Fixed pasting phantom items from clipboards, when nested items are copied
* Fixed updating of zoom information when switching between windows with diagrams
* Fixed PDF rendering
* Fixed changed date information for diagram
* Fixed rendering of Signal Receipt element
* Fixed active buttons on context bar when it is hidden
* Fixed overflow of element text
* Stability fixes


Version 3.42 (Release date: 2010-09-24) ------------------
* Fixed problem with loading project file
* Stability fixes


Version 3.41 (Release date: 2010-08-20) ------------------
* Fixed project file compatibility issue


Version 3.40 (Release date: 2010-08-18) ------------------
* Fixed state actions saving
* Fixed setting custom type for parameter
* Fixed drawing role names of relations (last character was missing)
* Fixed context menu commands 'Delete from Diagram' and 'Delete from Project' for relations


Version 3.39 (Release date: 2010-07-27) ------------------
* Fixed aligning elements to the grid (after inserting a new element)
* Fixed inserting new elements on existing elements
* Fixed changing the z-order of elements placed in a container


Version 3.38 (Release date: 2010-07-14) ------------------
* Fixed pasting items from clipboard


Version 3.37 (Release date: 2010-07-13) ------------------
* Linux/Mono: Fixed application crash when displaying menu Project/Add Diagram


Version 3.36 (Release date: 2010-07-12) ------------------
* Fixed copying groups into the clipboard
* Fixed copying containers with nested elements
* Fixed incorrect creation of relation in the abstract model (causes problem in generation of generalizations)


Version 3.35 (Release date: 2010-07-05) ------------------
* Fixed loading of project file with undefined style set


Version 3.34 (Release date: 2010-07-02) ------------------
* Fixed saving style class for element
* Fixed binding of shadow visibility in style editor


Version 3.33 (Release date: 2010-06-30) ------------------
* Fixed loading of custom style names
* Fixed updating of style list in Style panel after loading project


Version 3.32 (Release date: 2010-06-25) ------------------
+ Added Czech localization (thanks to Jiří Šafra)
+ Small improvement in SQL DDL generation
* Fixed loading state machine diagram as activity diagram
* Fixed application crash when copying element with associated diagram


Version 3.31 (Release date: 2010-06-17) ------------------
* Fixed removing element from its container after double-click
* Fixed application crash after choosing File/Export and no diagram window is active
* Fixed saving default values of attributes
* Fixed saving stereotypes of attributes and operations
* Fixed About dialog


Version 3.30 (Release date: 2010-06-09) ------------------
* Fixed application crash when saving a project


Version 3.29 (Release date: 2010-05-22) ------------------
* Fixed removing of associations between diagram and diagram element when deleting diagram from project
* Fixed loading of project files with associations to deleted diagrams


Version 3.28 (Release date: 2010-05-12) ------------------
+ Immediate naming supported by Text element
* Fixed pasting nested elements
* Fixed saving ERD entities with undefined type size
* Fixed moving locked element, when moving more elements together
* Other minor stability fixes


Version 3.27 (Release date: 2010-04-30) ------------------
* Fixed shortcut keys for undo and select all in textboxes in the main window
* Fixed loading of project files with user interface diagram


Version 3.26 (Release date: 2010-04-25) ------------------
+ Added shortcut key (F2) for renaming
+ Name of edited element is displayed in the title bar of Properties window
* Fixed application crash when inserting fragment into the empty diagram
* Fixed deleting of Destroy element (Sequence diagram)
* Fixed work with clipboard (Copy, Cut, Paste) in Fast editor and in Documentation editor
* Fixed undo for style change from Style pane
* Fixed rendering of Communication messages (Communication diagram)
* Fixed rendering of Extend relation (Use case diagram)


Version 3.25 (Release date: 2010-04-20) ------------------
+ Fragment element is sent to the back after its adding
+ Actor's width is no longer fixed
+ View navigates to pasted items
+ Immediately naming supported also for other ways of item creating than drag&drop
+ New context command for the class: Add Interface
* Added missing tooltips to buttons in the layout bar
* Fixed renaming via the context menu item 'Rename'
* Fixed placing items outside the visible area
* Fixed parameters duplication after editing in the dialog


Version 3.24 (Release date: 2010-04-19) ------------------
+ Element name can be edited immediately after insert the element
+ Added Chinese localization (thanks to Naiyin Tan)
* Fixed loading of text in text element
* Fixed diagram change date
* Fixed other minor bugs


Version 3.23 (Release date: 2010-04-04) ------------------
* Fixed project file loading problem


Version 3.22 (Release date: 2010-04-02) ------------------
* Updated localization files
* Fixed application crash when dropping comment connector on the lifeline
* Fixed incorrect change of the mouse cursor in the diagram editor


Version 3.21 (Release date: 2010-03-28) ------------------
+ New version of Russian localization (thanks to Dmitry Anchakov)
* Fixed localization-related bugs
* Fixed refreshing of project tree when pasting items from clipboard
* Fixed undo action for paste command
* Fixed hiding of menu items during menu browsing with keys


Version 3.20 (Release date: 2010-03-22) ------------------
+ Improved code generation:
	+ Generation of structures
	+ Generation of enumeration
	+ Generation of default values for fields
	+ Generation of method parameters
+ Better optimized for Mono (Linux)
+ Inline editing of data flow names (DFD) and action messages (Sequence Diagram)
* Fixed application crash when clicking on deleted item in project tree
* Fixed incorrect saving of diacritics in PDF export (PDF export uses unicode encoding now)
* Fixed wrapping of text in PDF and SVG export
* Fixed displaying of deleted diagram in Model Overview window
* Fixed setting of maximum value of toolbox scrollbar
* Fixed application crash when trying to export into the file which is blocked with another process


Version 3.12 (Release date: 2010-03-04) ------------------
+ Added Package button into the common group of toolbox (for all UML diagrams)
+ Improved inline editing of attributes and operations - editing enabled also for visibility, stereotypes, types, parameters and default values
* Fixed application crash when clicking on item in project tree and 'All entities' view is active
* Fixed application crash when double-clicking in the free space in the diagram window
* Fixed loading of saved connections between elements and subdiagrams
* Fixed navigation to nested diagram from the project tree
* Fixed editing of stereotypes for operations from the dialog window


Version 3.11 (Release date: 2010-02-27) ------------------
+ Flat style of zoom buttons in the status bar
+ Menu item 'Generate ERD diagram' renamed and moved to menu 'Diagram/Convert To'
+ Added missing diagram types into the 'Start with...' section
+ Opening a new window for new converted diagram
* Fixed updating of Fast Editor content when diagram element is changed via dialog, inline editing or context bar
* Fixed binding and setting documentation of element from the dialog
* Fixed showing of context bar after double-click
* Fixed corrupted application layout for non-standard DPIs
* Fixed saving and loading of class properties ShowAttributes and ShowOperations 
* Fixed working of tool which is selected when the inline edit box is visible
* Fixed some not working key shortcuts after inline editing
* Fixed rendering of text on transparent background for PNG export
* Stability fixes


Version 3.10 (Release date: 2010-02-20) ------------------
+ More types of auto layout: rows, rectangle, circle, cascade, smart
+ More diagrams can be associated to one element
+ Associated diagrams can be removed from element using context menu in the project tree
+ Diagram preview pane added
+ File association for Software Ideas Modeler added
* Fixes and small improvements in source code generating
* Missing undo option for auto layout added
* Fixed application crash caused by double clicking on the free space in toolbox
* Fixed application crash when no element is selected and trying to generate ERD diagram
* Fixed saving of window layout settings
* Fixed adding of associated diagrams
* Fixed editing of operation parameters in Class properties window
* Other stability fixes


Version 3.00 (Release date: 2010-02-13) ------------------
+ New diagram type: Interaction Overview Diagram
+ New diagram type: Composite Structure Diagram
+ New diagram type: Component Diagram
+ New diagram type: Data Flow Diagram
+ New diagram type: Mixed Diagram
+ Containment relation added
+ N-ary association added (Class Diagram)
+ Entry Point element added (State Machine Diagram)
+ Exit Point element added (State Machine Diagram)
+ Export to new vector format SVG
+ Tagged values
+ Support for layers added to diagrams
+ Importing of diagram tables into the ERD diagram
+ Navigability added to UML relationships
+ Visibility added to UML relationships
+ Improved representation of UML relationship roles
+ Existing diagrams can be assigned to elements
+ Print of diagrams
+ New menu Diagram
+ Option to copy diagram to the clipboard
+ Resizing grips for element added
+ New context bar buttons for attributes and operations adding to class
+ Tab key can be used for selecting of the next element in diagram
+ Moving of elements using arrow keys (also combinations with Shift)
+ Elements can be moved precisely using menu commands for moving (Custom, Left, Right, Down, Up)
+ Elements can be resized precisely using menu commands for resizing (Custom, Inflate, Deflate, Wider, Narrower, Higher, Lower)
+ New tools for faster adding of relations with specific start and end multiplicities in ERD diagrams
+ New '1..n' multiplicity for ERD relations added
+ New curve style of relation line added
+ Improved moving and resizing of relations with more points
+ Improved resizing of group of selected elements
+ Inline editing of relation texts
+ Relation texts can be moved
+ Grouping of elements
+ Icons added for elements in project tree in side bar
+ Expand all button added in the tab Project in side bar
+ Generating of ERD diagrams from UML class diagrams
+ Displaying of button names in the context toolbar
+ Improved positioning of the context toolbar
+ New Edit menu items: Invert Selection and Select All of Same Type
+ Key shortcuts added for some menu items
+ Small improvements in editing of activity diagram
+ Improved calculation of size of the text box for inline editing 
+ Text search in project
+ View is navigated to the selected element when it is selected in the project tree
+ Default value property added to attributes of class
+ Support of abstract and virtual modifiers added to attributes and operations of class
+ Parameters added to operations of class
+ Dialog for class operation editing
+ Trailing colon is hidden when no type is defined for class attribute
+ Improved editing of UML Objects in Fast editor
+ Improved rendering of ERD Entities, UML Objects and actions in State element
+ Inline editing of ERD Entities, UML Objects and States
+ Default values for attributes of ERD Entity
+ Displaying of visibility symbols for UML relationship roles
+ Optimized rendering of thumbnails in model overview
+ Optimized redrawing of the style list in the side bar
+ Opening of project files through command line (or Windows command Open With)
+ Tools can be locked/unlocked (when is tool unlocked, Selection tool is activated after using it)
+ Line of relation is better connected to the border of Use Case, Collaboriation, Decision, Intial State and Final State
+ Link to Online Help added into the Help menu
+ Synchronized zoom control, zoom combobox and zooming using the mouse wheel
+ New icons for diagrams and some new toolbar icons
+ Improved default style set
* Fixed styling of state name, which was styled as other text
* Fixed resizing of elements through mouse wheeling - size cannot go into negative numbers now
* Fixed swapped start and end multiplicities in ERD relations
* Fixed saving of documentation
* Fixed incorrect rendering of the grid at zoom other than 100%
* Fixed saving of visibility of attributes and operations when editing using dialog
* Fixed application crash which causes a specific undo-redo sequence
* Other stability fixes


Version 2.62 (Release date: 2010-01-28) ------------------
+ Attributes with values can be added to objects with unspecified classifier
* Fixed duplication of object attributes after multiple editing


Version 2.61 (Release date: 2010-01-11) ------------------
* Fixed overflow error when resizing polygon
* Fixed strange behaviour of polygon resizing
* Fixed drawing of gloss effect for polygons when zooming and scrolling


Version 2.60 (Release date: 2010-01-06) ------------------
+ Meta data added to diagram
+ New diagram element: Diagram Description
+ Extension point property added to extend relation
+ New shapes: Arrows
+ New dialog Settings
+ New dialog Diagram Properites
+ Improved interaction with selected diagram element - it has the highest priority now
+ Improved resizing of interaction operands in fragment element
+ Checkbox for the abstract modifier added into the element properties window
+ Checkbox for the static modifier added into the element properties window
+ New buttons for editing and deleting styles in the Styles side bar
+ The vertical orientation added for swimlane
+ New style options: name color, name font, stereotype color, stereotype font, shadow radius, shadow color
+ Comment connector is added to the point rather than to the element when Alt key is pressed
+ Inline editing of comment text
+ New style set Elegant
+ Icons added to some items in context menus
+ More precise inserting of new points to line of relation
+ Reordered tabs in item properties window
+ Comment connector line can be edited in the same way as the line of relation
+ Actions in sequence diagrams, comments, fork/join support styling
+ Option to enable/disable the Start Page
+ Option to set vertical and horizontal spacing for grid
+ Option to change background colors of diagram
+ Option to set count of recent projects displaying in menu and on start page
* Missing localization of some fields added
* Fixed binding of saved values to combo box in style editor
* Fixed removing of the style following the default style in Style Set Editor
* Fixed drawing of interaction operand lines to fulfil the UML specification
* Fixed application crash when trying to apply the style to the empty set of selected items
* Fixed application crash when generating documentation
* Fixed application crash when both points of comment connector are removed from elements
* Fixed application crash when trying to add the style class with the existing name
* Fixed copying, cuting, pasting in text boxes


Version 2.50 (Release date: 2009-12-19) ------------------
+ New CRC Card Diagram
+ The line of relation can be edited (new points can be added)
+ New side bar Styles
+ Style set editor
+ Properties editor for selected diagram element in the side bar
+ The option for saving of styles of diagram elements
+ Support for style classes which can be applicable to more elements
+ Different default styles can be defined for different types of diagram elements
+ Style editor control is scrollable when does not fit to window
+ Custom styles can be removed from all elements in project with one command
+ New menu Element
+ New options for diagram elements: Show ID, Show Parent Name, Show Stereotypes, Show Attributes, Show Operations
+ Added element modifiers: Private, Protected, Package, Public, Abstract
+ Project Properties window
+ Added meta data to the project: Project Name, Authors, Description
+ Added File Not Found message for the case of opening a nonexistent file
+ The diagram element can be resized on mouse wheeling when is the left mouse button pressed
+ Diagram elements can be moved from the chosen point on mouse wheeling when is the left mouse button pressed
+ The Grid Button on the Standard Bar turns on also snapping to grid
+ The comment can be added at any point of diagram
+ Added the tool for fast renumbering of custom IDs (Tools -> Renumber Element IDs)
+ Actions in sequence diagram can be created between activation bars on the same lifeline
+ All elements of the same type in the diagram can be simply selected double-clicking on one of them
+ New Layout bar
+ Toolbars can be moved (also in the bottom part of window)
+ The position of diagram elements can be locked
+ Item Editor renamed to Fast Editor
+ Tools Object, Signal Send, Signal Receive were added to the tool group for the activity diagram
+ The application remembers the last directory for export
+ Added the new submenu for the menu item Project/Add Diagram
+ Added the new submenu Recent Projects into the menu File
+ Better redrawing of invalidated parts of diagram
+ Added scrollbars for the textboxes in the Generation side bar and in the Fast Editor side bar
+ Added buttons for adding and removing attributes and operations to class in the properties dialog form
+ Added group of all items in the classifier choice dialog form
+ Names are displayed for Signal Sending and Signal Receipt
+ Enabled inline editing of name for Composite State and Component
+ Stereotypes are displayed also for Composite State, Component, Signal Sending and Signal Receipt
* The diagram element is added to the container when is dropped onto the non-container element which is placed in the container
* Fixed rendering of elements nested in a container - elements cannot be rendered under the container now
* Fixed updating of the window title after the name of the diagram is changed
* Fixed unwanted removing elements from container when moving more elements at once
* Fixed the special case of the application crash when inserting new elements (generated the same unique ID)
* Fixed the issue when the same messages were added to the relation in communication diagram after editing messages
* Fixed expanding of button groups in the toolbox
* Fixed application crash when the symbol '-' is typed in the Item Editor text box into the new line which is surrounded with lines describing attributes
* Fixed application crash during PDF export
* Fixed application crash when the "Add Diagram To Element" dialog canceled
* Fixed application crash when deleting	a model from the project


Version 2.00 (Release date: 2009-12-02) ------------------
+ Diagram can be assigned to diagram element
+ Model Overview window - the window with thumbnails of all diagrams in the model
+ Drawing tools added
+ Package Diagram added
+ Object Diagram added
+ Communication Diagram added
+ Profile Diagram added
+ New element Composite State added
+ New element Object added
+ New element System Boundary added
+ The interaction operator added to the fragment element
+ Interaction operands added to the fragment element
+ Tools for easy creating of standard fragments: opt, alt, loop, ref, sd, par, neg
+ Tools for creating associations: package merge, package import, package use
+ Tool for manual adding of comment connectors
+ New properties added (pre-condition, post-condition and operation) for the transition
+ New properties added (state-invariant, do, entry, exit, custom events) for the state
+ Start Page with common options how to get started
+ Application saves the list of recent projects
+ Inline editing of element properties
+ Optimized speed of redrawing
+ Rendering quality settings: Draft, Normal, Best
+ New style effects - smooth shadow, gloss, 3D gloss
+ New background types - vertical gradient, forward diagonal gradient, backward diagonal gradient
+ New shadow options - shadow offset, shadow style
+ Wrapping of long names of diagram elements
+ More diagram elements support stereotypes displaying (Actor, Activity, Collaboration, Lifeline, Node, Package)
+ Special icons replace generic icons for lots of tools
+ New context tools for use cases (include, extend) and swimlanes (add new swimlane)
+ New splash screen and new icon
* Fixed application crash when inserting some diagram elements
* Fixed application crash when trying to remove stereotype from empty list
* Fixed application crash when generating source code from diagram with generalization
* Fixed application crash when drawing the package element with very small size
* Fixed application crash when copying some elements in clipboard
* Fixed corrupted file error
* Fixed checking for new version
* Fixed other minor bugs


Version 1.52 (Release date: 2009-10-29) ------------------
+ The close button added to tabs
* View navigates to the active tab in the tab bar when selecting a diagram in the project tree or creating a new diagram
* Fixed the special case of application crash when renaming items in the project tree
* Fixed the case when tabs of deleted diagrams do not close


Version 1.51 (Release date: 2009-10-28) ------------------
+ Custom user ID of an element
+ Relation can be defined between two relations and between relation and entity
+ New items into the context menu for diagram element: Delete and Delete from Project
+ New items into the context menu for item in the project tree: Delete from Project
+ New buttons on toolbar of Project side bar: Add Model, Add Diagram
+ Changed the default size of these elements: Signal Receipt, Signal Send
* Fixed applying styles on some elements
* Fixed application crash when exporting a special type of diagram to PDF
* Fixed application crash when trying to edit the documentation of comment connector element
* Fixed renaming of diagram elements through the project tree
* Fixed deleting of diagram elements, diagrams and models from project
* Fixed drawing of perpendicular lines of entity relations
* Fixed editing of ERD entity using Item Editor
* Fixed other minor bugs


Version 1.50 (Release date: 2009-09-30) ------------------
+ Custom styles of diagram elements
+ Generating SQL DDL
+ Generating VB.NET source code
+ Tabbed window layout
+ New menu: Project
+ Dialog to insert a new diagram
+ New diagram: User interface
+ New diagram: Requirements diagram
+ New diagram: Entity-relationship diagram
+ Element is moved to front when changes its container
+ New button in standard toolbar: Show grid
+ Diagram element documentation
+ Generating of documentation in RTF
+ Zoom controler in the status bar
+ Context menu for the diagram and diagram elements
+ Option for locking start and end point of interconnection lines
+ Export diagrams to WMF
+ Export diagrams to PDF
+ New type of interconnection lines: perpendicular
+ Showing the type of diagram elements in the Project tab in side bar
+ Project tree is refreshed when adding new elements to diagram
+ Entities can be shared between diagrams
+ New view on project structure: All entities
+ Only appropriate toolbars to current diagram are displayed
+ Asking before closing the window with unsaved project
+ Selecting element using CTRL key
+ Check for new version of application
+ Section What's New added in the About dialog
+ New icon of application
+ New splash screen
* Removed flicker when switching maximized windows
* Fixed copying/pasting in Item Editor
* Fixed copying element into the same diagram
* Fixed application exit when the first window is closed
* Fixed instability when editing the element using Element Editor
* Fixed minor bug in refreshing of the selected element at zoom other than 100%
* Fixed application crash after using functions which are not available at the moment


Version 1.00 (Release date: 2009-08-06) ------------------
+ First version
